--make starting ship wrecks salvageable by mining them
data.raw.container["big-ship-wreck-1"].minable = 
{hardness = 0.2, mining_time = 4.0, results = 
  {
    {type="item", name="iron-plate", amount= 30},
    {type="item", name="copper-plate", amount= 10},
	{type="item", name="electronic-circuit", amount= 5},
	{type="item", name="steel-plate", amount= 5}
  }
}
  
data.raw.container["big-ship-wreck-2"].minable = 
{hardness = 0.2, mining_time = 4.0, results = 
  {
    {type="item", name="iron-plate", amount= 30},
    {type="item", name="copper-plate", amount= 10},
	{type="item", name="electronic-circuit", amount= 5},
	{type="item", name="steel-plate", amount= 5}
  }
}

data.raw.container["big-ship-wreck-3"].minable = 
{hardness = 0.2, mining_time = 4.0, results = 
  {
    {type="item", name="iron-plate", amount= 30},
    {type="item", name="copper-plate", amount= 10},
	{type="item", name="electronic-circuit", amount= 5},
	{type="item", name="steel-plate", amount= 5}
  }
}


-- make players inventory larger
data.raw["player"]["player"].inventory_size = 100

--Remove pistol recipe from game as we dont use it and cant false a tech
data.raw.recipe.pistol.enabled = "false"

--make base game wooden-chest have no fuel value so that it can be inserted into recycler
data.raw.item["wooden-chest"].fuel_value = "0MJ"

--make base game solar panels follow the fast replace naming convention of the added solar panels
data.raw["solar-panel"]["solar-panel"].fast_replaceable_group = "solar-panel"

--make base game chemical plant fast replaceable
data.raw["assembling-machine"]["chemical-plant"].fast_replaceable_group = "chemical-plant"

--base game mining drills  do not belong to a fast replaceable group like new added drills, added
data.raw["mining-drill"]["basic-mining-drill"].fast_replaceable_group = "mining-drill"

--make base game accumulators fast replacable
data.raw["accumulator"]["basic-accumulator"].fast_replaceable_group = "accumulator"

--base game yellow transport belts recipe unlock moved to logistics moved to 
table.insert(data.raw.technology["logistics"].effects,{type = "unlock-recipe", recipe = "basic-transport-belt"})

--base game added storage accumulator and capacity accumulator to electric energy accumulator 1 technology 
table.insert(data.raw.technology["electric-energy-accumulators-1"].effects,{type = "unlock-recipe", recipe = "storage-accumulator"})
table.insert(data.raw.technology["electric-energy-accumulators-1"].effects,{type = "unlock-recipe", recipe = "capacity-accumulator"})

--now that yellow transport belts are tech unlocked change lab recipe to use stone belts
data.raw.recipe.lab.ingredients ={{"electronic-circuit", 10},{"iron-gear-wheel", 10},{"stone-belt", 4}}

--make base game transport belts unlockable
data.raw.recipe["basic-transport-belt"].enabled = false

--transport belt display after stone belt
data.raw.item["basic-transport-belt"].order = "a[transport-belt]-b[basic-transport-belt]"
data.raw.item["fast-transport-belt"].order = "a[transport-belt]-c[fast-transport-belt]"
data.raw.item["express-transport-belt"].order = "a[transport-belt]-d[express-transport-belt]"
--splitter display after stone splitter
data.raw.item["basic-transport-belt-to-ground"].order = "b[transport-belt-to-ground]-b[basic-transport-belt-to-ground]"
data.raw.item["fast-transport-belt-to-ground"].order = "b[transport-belt-to-ground]-c[fast-transport-belt-to-ground]"
data.raw.item["express-transport-belt-to-ground"].order = "b[transport-belt-to-ground]-d[express-transport-belt-to-ground]"
--underground belt display after stone underground belt
data.raw.item["basic-splitter"].order = "c[splitter]-b[basic-splitter]"
data.raw.item["fast-splitter"].order = "c[splitter]-c[fast-splitter]"
data.raw.item["express-splitter"].order = "c[splitter]-d[express-splitter]"

--remove productivity effect form electric furnace
data.raw.furnace["electric-furnace"].allowed_effects = {"consumption", "speed", "pollution"}

--make stone and raw wood stack to 100 like other resources
data.raw.item.stone.stack_size = 100
data.raw.item["raw-wood"].stack_size= 100

--make sub-machine-gun, rocket launcher, flamethrower and shotgun stack size 50, to facilitate turret automation
data.raw.gun["rocket-launcher"].stack_size= 50
data.raw.gun["flame-thrower"].stack_size= 50
data.raw.gun.shotgun.stack_size= 50
data.raw.gun["submachine-gun"].stack_size= 50

--Making all techs balanced
data.raw.technology.logistics.unit = {count = 50, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology["steel-processing"].unit = {count = 50, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology["automation-2"].unit = {count = 100, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology.military.unit = {count = 10, ingredients = {{"science-pack-1", 1}}, time = 10}
data.raw.technology["armor-making"].unit = {count = 10, ingredients = {{"science-pack-1", 1}}, time = 10}
data.raw.technology["automation-3"].unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology.electronics.unit = {count = 50, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology["advanced-electronics"].unit = {count = 75, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology.explosives.unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["logistics-2"].unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["logistics-3"].unit = {count = 100, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}}, time = 45}
data.raw.technology.engine.unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["electric-engine"].unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology.battery.unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["advanced-material-processing-2"].unit = {count = 100, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["electric-energy-accumulators-1"].unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology.railway.unit = {count = 75, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["automated-rail-transportation"].unit = {count = 75, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["logistic-system"].unit = {count = 150, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["logistic-robot-speed-1"].unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["logistic-robot-speed-2"].unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["logistic-robot-storage-1"].unit = {count = 200, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["research-effectivity-3"].unit = {count = 250, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["research-effectivity-4"].unit = {count = 500, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["inserter-stack-size-bonus-3"].unit = {count = 200, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["inserter-stack-size-bonus-4"].unit = {count = 300, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}, {"alien-science-pack", 2}}, time = 60}
data.raw.technology["advanced-oil-processing"].unit = {count = 75, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["military-2"].unit = {count = 25, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["military-3"].unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["military-4"].unit = {count = 150, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}, {"alien-science-pack", 1}}, time = 60}
data.raw.technology.automobilism.unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology.flammables.unit = {count = 50, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["flame-thrower"].unit = {count = 25, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology.tanks.unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["land-mine"].unit = {count = 25, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology.rocketry.unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["explosive-rocketry"].unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["bullet-damage-1"].unit = {count = 50, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology["bullet-damage-3"].unit = {count = 200, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["bullet-damage-4"].unit = {count = 100, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}}, time = 45}
data.raw.technology["bullet-damage-5"].unit = {count = 200, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}, {"alien-science-pack", 1}}, time = 60}
data.raw.technology["bullet-damage-6"].unit = {count = 300, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}, {"alien-science-pack", 1}}, time = 60}
data.raw.technology["bullet-speed-1"].unit = {count = 50, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology["bullet-speed-2"].unit = {count = 100, ingredients = {{"science-pack-1", 1}}, time = 15}
data.raw.technology["bullet-speed-3"].unit = {count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30}
data.raw.technology["bullet-speed-4"].unit = {count = 200, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}}, time = 45}



--Code:1 keep in case i want to revert to no night
--solar panels are half strength due to it always being day
--data.raw["solar-panel"]["solar-panel"].production = "30kW"

--Code:1 keep in case i want to revert to no night
--alter solar energy and laser tech so that optics are not needed (removed in mod)
--data.raw.technology["solar-energy"].prerequisites = {"advanced-electronics", "steel-processing"}
--data.raw.technology["laser"].prerequisites = {"advanced-electronics"}
--data.raw.technology["laser-turrets"].prerequisites = {"laser", "battery"}