data:extend({

-- Bundled Wire Recipe
{
  type = "recipe",
  name = "bundled-wire",
  enabled = false,
  ingredients =
  {
    {"red-wire", 3},
	{"green-wire", 3},
    {"copper-cable", 3},
	{"plastic-bar", 1}
  },
  result = "bundled-wire",
  result_count = 3
},

-- Bundled Wire Item

{
  type = "item",
  name = "bundled-wire",
  icon = "__increments__/graphics/icons/bundled-wire.png",
  flags = {"goes-to-quickbar"},
  subgroup = "circuit-network",
  order = "a[wires]-a[bundled-wire]",
  stack_size = 200
},

-- Bundled Wire Technology

  {
    type = "technology",
    name = "advanced-electronics-3",
    icon = "__base__/graphics/technology/advanced-electronics.png",
    upgrade = true,
	effects =
    {
      {
        type = "unlock-recipe",
        recipe = "bundled-wire"
      }
    },
    prerequisites = {"advanced-electronics-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
		{"science-pack-3", 1}
      },
      time = 15
    },
    order = "a-d-b",
  }
})