data:extend(
{
--CATEGORY
{
    type = "recipe-category",
	name = "grinding"
},

--RECIPE
{
  type = "recipe",
  name = "grind-iron",
  category = "grinding",
  energy_required = 1.5,
	enabled = "true",
	hidden = "true",
  ingredients = 
		{
			{ "iron-ore", 2}
		},
  result = "iron-dust",
	result_count = 3,
},

{
  type = "recipe",
  name = "recipe-steel-dust",
  energy_required = 2,
  enabled = "true",
	hidden = "true",
  ingredients = 
	  {
	    {"iron-dust", 4}, 
	    {"coal", 1}
		},
  result = "steel-dust",
  result_count = 1,
},

{
  type = "recipe",
  name = "grind-copper",
  category = "grinding",
  energy_required = 1.5,
	enabled = "true",
	hidden = "true",
  ingredients = 
		{
		  {"copper-ore", 2}
		},
  result = "copper-dust",
	result_count = 3,
},

{
  type = "recipe",
  name = "smelt-copper-dust",
  category = "smelting",
  energy_required = 2.5,
	enabled = "true",
	hidden = "true",
  ingredients = 
	  {
		  { "copper-dust", 1}
		},
  result = "copper-plate",
},

{
  type = "recipe",
  name = "smelt-iron-dust",
  category = "smelting",
  energy_required = 2.5,
	enabled = "true",
	hidden = "true",
  ingredients = 
	  {
		  { "iron-dust", 1}
		},
  result = "iron-plate",
},

{
  type = "recipe",
  name = "smelt-steel-dust",
  category = "smelting",
  energy_required = 5.5,
	enabled = "true",
	hidden = "true",
  ingredients = 
	  {
			{ "steel-dust", 1}
		},
  result = "steel-plate",
	
--ITEM
},
  {
    type = "item",
    name = "iron-dust",
    icon = "__increments__/graphics/icons/iron-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 50
  },
  {
    type = "item",
    name = "copper-dust",
    icon = "__increments__/graphics/icons/copper-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 50
  },
  {
    type = "item",
    name = "steel-dust",
    icon = "__increments__/graphics/icons/steel-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "a",
    stack_size = 50
  }

}
)