require "limits"

data:extend({
-------- modules-intermediates --------

--  wood

{ 
  type = "module", name = "productivity-module-wood",
  icon = "__increments__/graphics/modules/productivity-module-wood.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = woodlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
--[[
--	iron-plate
{ 
  type = "module", name = "productivity-module-iron-plate",
  icon = "__increments__/graphics/modules/productivity-module-iron-plate.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = ironplatelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	copper-plate
{
  type = "module", name = "productivity-module-copper-plate",
  icon = "__increments__/graphics/modules/productivity-module-copper-plate.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = copperplatelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",  
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	steel-plate
{ 
  type = "module", name = "productivity-module-steel-plate",
  icon = "__increments__/graphics/modules/productivity-module-steel-plate.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = steelplatelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",  
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},


--	iron-stick
{ 
  type = "module", name = "productivity-module-iron-stick",
  icon = "__increments__/graphics/modules/productivity-module-iron-stick.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = ironsticklimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",  
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},


--	stone-brick
{ 
  type = "module", name = "productivity-module-stone-brick",
  icon = "__increments__/graphics/modules/productivity-module-stone-brick.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonebricklimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",  
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]
--	stone-gear-wheel
{ 
  type = "module", name = "productivity-module-stone-gear-wheel",
  icon = "__increments__/graphics/modules/productivity-module-stone-gear-wheel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonegearwheellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	iron-gear-wheel
{ 
  type = "module", name = "productivity-module-iron-gear-wheel",
  icon = "__increments__/graphics/modules/productivity-module-iron-gear-wheel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = irongearwheellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	steel-gear-wheel
{ 
  type = "module", name = "productivity-module-steel-gear-wheel",
  icon = "__increments__/graphics/modules/productivity-module-steel-gear-wheel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = steelgearwheellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	copper-cable
{ 
  type = "module", name = "productivity-module-copper-cable",
  icon = "__increments__/graphics/modules/productivity-module-copper-cable.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = coppercablelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	green-wire
{ 
  type = "module", name = "productivity-module-green-wire",
  icon = "__increments__/graphics/modules/productivity-module-green-wire.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = greenwirelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	red-wire
{ 
  type = "module", name = "productivity-module-red-wire",
  icon = "__increments__/graphics/modules/productivity-module-red-wire.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = redwirelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	plastic-bar
{ 
  type = "module", name = "productivity-module-plastic-bar",
  icon = "__increments__/graphics/modules/productivity-module-plastic-bar.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = plasticbarlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	sulfur
{ 
  type = "module", name = "productivity-module-sulfur",
  icon = "__increments__/graphics/modules/productivity-module-sulfur.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = sulfurlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	battery
{ 
  type = "module", name = "productivity-module-battery",
  icon = "__increments__/graphics/modules/productivity-module-battery.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = batterylimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	pipe
{ 
  type = "module", name = "productivity-module-pipe",
  icon = "__increments__/graphics/modules/productivity-module-pipe.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = pipelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
 
--	pipe-to-ground
{ 
  type = "module", name = "productivity-module-pipe-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-pipe-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = pipetogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-circuitry --------

--	electronic-circuit
{ 
  type = "module", name = "productivity-module-electronic-circuit",
  icon = "__increments__/graphics/modules/productivity-module-electronic-circuit.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = electroniccircuitlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	advanced-circuit
{ 
  type = "module", name = "productivity-module-advanced-circuit",
  icon = "__increments__/graphics/modules/productivity-module-advanced-circuit.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = advancedcircuitlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	processing-unit
{ 
  type = "module", name = "productivity-module-processing-unit",
  icon = "__increments__/graphics/modules/productivity-module-processing-unit.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = processingunitlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-chests --------

--	wooden-chest
{ 
  type = "module", name = "productivity-module-wooden-chest",
  icon = "__increments__/graphics/modules/productivity-module-wooden-chest.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = woodenchestlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	iron-chest
{ 
  type = "module", name = "productivity-module-iron-chest",
  icon = "__increments__/graphics/modules/productivity-module-iron-chest.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = ironchestlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	steel-chest
{ 
  type = "module", name = "productivity-module-steel-chest",
  icon = "__increments__/graphics/modules/productivity-module-steel-chest.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = steelchestlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	smart-chest
{ 
  type = "module", name = "productivity-module-smart-chest",
  icon = "__increments__/graphics/modules/productivity-module-smart-chest.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = smartchestlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	logistic-chest-requester 
{ 
  type = "module", name = "productivity-module-logistic-chest-requester",
  icon = "__increments__/graphics/modules/productivity-module-logistic-chest-requester.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = logisticchestrequesterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	logistic-chest-storage 
{ 
  type = "module", name = "productivity-module-logistic-chest-storage",
  icon = "__increments__/graphics/modules/productivity-module-logistic-chest-storage.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = logisticcheststoragelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	logistic-chest-active-provider 
{ 
  type = "module", name = "productivity-module-logistic-chest-active-provider",
  icon = "__increments__/graphics/modules/productivity-module-logistic-chest-active-provider.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = logisticchestactiveproviderlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	logistic-chest-passive-provider 
{ 
  type = "module", name = "productivity-module-logistic-chest-passive-provider",
  icon = "__increments__/graphics/modules/productivity-module-logistic-chest-passive-provider.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = logisticchestpassiveproviderlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-transport-belts --------

--	stone-belt
{ 
  type = "module", name = "productivity-module-stone-belt",
  icon = "__increments__/graphics/modules/productivity-module-stone-belt.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonebeltlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-transport-belt
{ 
  type = "module", name = "productivity-module-basic-transport-belt",
  icon = "__increments__/graphics/modules/productivity-module-basic-transport-belt.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basictransportbeltlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	fast-transport-belt
{ 
  type = "module", name = "productivity-module-fast-transport-belt",
  icon = "__increments__/graphics/modules/productivity-module-fast-transport-belt.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = fasttransportbeltlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	express-transport-belt
{ 
  type = "module", name = "productivity-module-express-transport-belt",
  icon = "__increments__/graphics/modules/productivity-module-express-transport-belt.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = expresstransportbeltlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	green-transport-belt
{ 
  type = "module", name = "productivity-module-green-transport-belt",
  icon = "__increments__/graphics/modules/productivity-module-green-transport-belt.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = greentransportbeltlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	purple-transport-belt
{ 
  type = "module", name = "productivity-module-purple-transport-belt",
  icon = "__increments__/graphics/modules/productivity-module-purple-transport-belt.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = purpletransportbeltlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	stone-belt-to-ground
{ 
  type = "module", name = "productivity-module-stone-belt-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-stone-belt-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonetransportbelttogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-transport-belt-to-ground
{ 
  type = "module", name = "productivity-module-basic-transport-belt-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-basic-transport-belt-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basictransportbelttogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	fast-transport-belt-to-ground
{ 
  type = "module", name = "productivity-module-fast-transport-belt-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-fast-transport-belt-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = fasttransportbelttogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	express-transport-belt-to-ground
{ 
  type = "module", name = "productivity-module-express-transport-belt-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-express-transport-belt-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = expresstransportbelttogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	green-transport-belt-to-ground
{ 
  type = "module", name = "productivity-module-green-transport-belt-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-green-transport-belt-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = greentransportbelttogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	purple-transport-belt-to-ground
{ 
  type = "module", name = "productivity-module-purple-transport-belt-to-ground",
  icon = "__increments__/graphics/modules/productivity-module-purple-transport-belt-to-ground.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = purpletransportbelttogroundlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	stone-splitter
{ 
  type = "module", name = "productivity-module-stone-splitter",
  icon = "__increments__/graphics/modules/productivity-module-stone-splitter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonesplitterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-splitter
{ 
  type = "module", name = "productivity-module-basic-splitter",
  icon = "__increments__/graphics/modules/productivity-module-basic-splitter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicsplitterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	fast-splitter
{ 
  type = "module", name = "productivity-module-fast-splitter",
  icon = "__increments__/graphics/modules/productivity-module-fast-splitter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = fastsplitterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	express-splitter
{ 
  type = "module", name = "productivity-module-express-splitter",
  icon = "__increments__/graphics/modules/productivity-module-express-splitter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = expresssplitterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	green-splitter
{ 
  type = "module", name = "productivity-module-green-splitter",
  icon = "__increments__/graphics/modules/productivity-module-green-splitter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = greensplitterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	purple-splitter
{ 
  type = "module", name = "productivity-module-purple-splitter",
  icon = "__increments__/graphics/modules/productivity-module-purple-splitter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = purplesplitterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-inserters --------

--	burner-inserter
{ 
  type = "module", name = "productivity-module-burner-inserter",
  icon = "__increments__/graphics/modules/productivity-module-burner-inserter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = burnerinserterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-inserter
{ 
  type = "module", name = "productivity-module-basic-inserter",
  icon = "__increments__/graphics/modules/productivity-module-basic-inserter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicinserterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	fast-inserter
{ 
  type = "module", name = "productivity-module-fast-inserter",
  icon = "__increments__/graphics/modules/productivity-module-fast-inserter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = fastinserterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	long-handed-inserter
{ 
  type = "module", name = "productivity-module-long-handed-inserter",
  icon = "__increments__/graphics/modules/productivity-module-long-handed-inserter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = longhandedinserterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	smart-inserter
{ 
  type = "module", name = "productivity-module-smart-inserter",
  icon = "__increments__/graphics/modules/productivity-module-smart-inserter.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = smartinserterlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-chemical --------

--  empty-barrel 
{ 
  type = "module", name = "productivity-module-empty-barrel",
  icon = "__increments__/graphics/modules/productivity-module-empty-barrel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = emptybarrellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-oil-processing 
{ 
  type = "module", name = "productivity-module-basic-oil-processing",
  icon = "__increments__/graphics/modules/productivity-module-basic-oil-processing.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicoilprocessinglimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	advanced-oil-processing 
{ 
  type = "module", name = "productivity-module-advanced-oil-processing",
  icon = "__increments__/graphics/modules/productivity-module-advanced-oil-processing.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = advancedoilprocessinglimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  heavy-oil-cracking 
{ 
  type = "module", name = "productivity-module-heavy-oil-cracking",
  icon = "__increments__/graphics/modules/productivity-module-heavy-oil-cracking.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = heavyoilcrackinglimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  light-oil-cracking 
{ 
  type = "module", name = "productivity-module-light-oil-cracking",
  icon = "__increments__/graphics/modules/productivity-module-light-oil-cracking.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = lightoilcrackinglimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  sulfuric-acid 
{ 
  type = "module", name = "productivity-module-sulfuric-acid",
  icon = "__increments__/graphics/modules/productivity-module-sulfuric-acid.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = sulfuricacidlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  lubricant 
{ 
  type = "module", name = "productivity-module-lubricant",
  icon = "__increments__/graphics/modules/productivity-module-lubricant.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = lubricantlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},


--[[	solid-fuel
{ 
  type = "module", name = "productivity-module-solid-fuel",
  icon = "__increments__/graphics/modules/productivity-module-solid-fuel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solidfuellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]

--	solid-fuel-from-heavy-oil
{ 
  type = "module", name = "productivity-module-solid-fuel-from-heavy-oil",
  icon = "__increments__/graphics/modules/productivity-module-solid-fuel-from-heavy-oil.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solidfuelfromheavyoillimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	solid-fuel-from-light-oil
{ 
  type = "module", name = "productivity-module-solid-fuel-from-light-oil",
  icon = "__increments__/graphics/modules/productivity-module-solid-fuel-from-light-oil.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solidfuelfromlightoillimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	solid-fuel-from-petroleum-gas
{ 
  type = "module", name = "productivity-module-solid-fuel-from-petroleum-gas",
  icon = "__increments__/graphics/modules/productivity-module-solid-fuel-from-petroleum-gas.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solidfuelfrompetroleumgaslimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},


-------- modules-modules --------

--	effectivity-module-1
{ 
  type = "module", name = "productivity-module-effectivity-module-1",
  icon = "__increments__/graphics/modules/productivity-module-effectivity-module-1.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = effectivitymodulelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	effectivity-module-2
{ 
  type = "module", name = "productivity-module-effectivity-module-2",
  icon = "__increments__/graphics/modules/productivity-module-effectivity-module-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = effectivitymodule2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	effectivity-module-3
{ 
  type = "module", name = "productivity-module-effectivity-module-3",
  icon = "__increments__/graphics/modules/productivity-module-effectivity-module-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = effectivitymodule3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	speed-modules-1
{ 
  type = "module", name = "productivity-module-speed-modules-1",
  icon = "__increments__/graphics/modules/productivity-module-speed-modules-1.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = speedmoduleslimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	speed-modules-2
{ 
  type = "module", name = "productivity-module-speed-modules-2",
  icon = "__increments__/graphics/modules/productivity-module-speed-modules-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = speedmodules2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	speed-modules-3
{ 
  type = "module", name = "productivity-module-speed-modules-3",
  icon = "__increments__/graphics/modules/productivity-module-speed-modules-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = speedmodules3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-science-packs --------

--	science-pack-1
{ 
  type = "module", name = "productivity-module-science-pack-1",
  icon = "__increments__/graphics/modules/productivity-module-science-pack-1.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = sciencepack1limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	science-pack-2
{ 
  type = "module", name = "productivity-module-science-pack-2",
  icon = "__increments__/graphics/modules/productivity-module-science-pack-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = sciencepack2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	science-pack-3
{ 
  type = "module", name = "productivity-module-science-pack-3",
  icon = "__increments__/graphics/modules/productivity-module-science-pack-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = sciencepack3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	alien-science-packs
{ 
  type = "module", name = "productivity-module-alien-science-packs",
  icon = "__increments__/graphics/modules/productivity-module-alien-science-pack.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = aliensciencepackslimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-equipment --------

--	repair-pack
{ 
  type = "module", name = "productivity-module-repair-pack",
  icon = "__increments__/graphics/modules/productivity-module-repair-pack.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = repairpacklimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- jack-hammer
{ 
  type = "module", name = "productivity-module-jack-hammer",
  icon = "__increments__/graphics/modules/productivity-module-jack-hammer.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = jackhammerlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  basic-exoskeleton-equipment
{ 
  type = "module", name = "productivity-module-basic-exoskeleton-equipment",
  icon = "__increments__/graphics/modules/productivity-module-basic-exoskeleton-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicexoskeletonequipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-laser-defense-equipment
{ 
  type = "module", name = "productivity-module-basic-laser-defense-equipment",
  icon = "__increments__/graphics/modules/productivity-module-basic-laser-defense-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basiclaserdefenseequipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	battery-equipment
{ 
  type = "module", name = "productivity-module-battery-equipment",
  icon = "__increments__/graphics/modules/productivity-module-battery-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = batteryequipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	battery-mk2-equipment
{ 
  type = "module", name = "productivity-module-battery-mk2-equipment",
  icon = "__increments__/graphics/modules/productivity-module-battery-mk2-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = batterymk2equipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	energy-shield-equipment 
{ 
  type = "module", name = "productivity-module-energy-shield-equipment",
  icon = "__increments__/graphics/modules/productivity-module-energy-shield-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = energyshieldequipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	energy-shield-mk2-equipment
{ 
  type = "module", name = "productivity-module-energy-shield-mk2-equipment",
  icon = "__increments__/graphics/modules/productivity-module-energy-shield-mk2-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = energyshieldmk2equipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	solar-panel-equipment 
{ 
  type = "module", name = "productivity-module-solar-panel-equipment",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanelequipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--[[
--	fusion-reactor-equipment
{ 
  type = "module", name = "productivity-module-fusion-reactor-equipment",
  icon = "__increments__/graphics/modules/productivity-module-fusion-reactor-equipment.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = fusionreactorequipmentlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]

-------- modules-weapons --------

--	submachine-gun
{ 
  type = "module", name = "productivity-module-submachine-gun",
  icon = "__increments__/graphics/modules/productivity-module-submachine-gun.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = submachinegunlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	shotgun 
{ 
  type = "module", name = "productivity-module-shotgun",
  icon = "__increments__/graphics/modules/productivity-module-shotgun.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = shotgunlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	combat-shotgun
{ 
  type = "module", name = "productivity-module-combat-shotgun",
  icon = "__increments__/graphics/modules/productivity-module-combat-shotgun.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = combatshotgunlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	flame-thrower
{ 
  type = "module", name = "productivity-module-flame-thrower",
  icon = "__increments__/graphics/modules/productivity-module-flame-thrower.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = flamethrowerlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	rocket-launcher
{ 
  type = "module", name = "productivity-module-rocket-launcher",
  icon = "__increments__/graphics/modules/productivity-module-rocket-launcher.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = rocketlauncherlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-bullet-magazine
{ 
  type = "module", name = "productivity-module-basic-bullet-magazine",
  icon = "__increments__/graphics/modules/productivity-module-basic-bullet-magazine.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicbulletmagazinelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	piercing-bullet-magazine
{ 
  type = "module", name = "productivity-module-piercing-bullet-magazine",
  icon = "__increments__/graphics/modules/productivity-module-piercing-bullet-magazine.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = piercingbulletmagazinelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	shotgun-shell
{ 
  type = "module", name = "productivity-module-shotgun-shell",
  icon = "__increments__/graphics/modules/productivity-module-shotgun-shell.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = shotgunshelllimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	piercing-shotgun-shell
{ 
  type = "module", name = "productivity-module-piercing-shotgun-shell",
  icon = "__increments__/graphics/modules/productivity-module-piercing-shotgun-shell.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = piercingshotgunshelllimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--[[
--	ps1200
{ 
  type = "module", name = "productivity-module-ps1200",
  icon = "__increments__/graphics/modules/productivity-module-ps1200.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = ps1200limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]

--	basic-grenade
{ 
  type = "module", name = "productivity-module-basic-grenade",
  icon = "__increments__/graphics/modules/productivity-module-basic-grenade.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicgrenadelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	explosives
{ 
  type = "module", name = "productivity-module-explosives",
  icon = "__increments__/graphics/modules/productivity-module-explosives.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = explosiveslimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	rocket
{ 
  type = "module", name = "productivity-module-rocket",
  icon = "__increments__/graphics/modules/productivity-module-rocket.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = rocketlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	explosive-rocket
{ 
  type = "module", name = "productivity-module-explosive-rocket",
  icon = "__increments__/graphics/modules/productivity-module-explosive-rocket.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = explosiverocketlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	flame-thrower-ammo
{ 
  type = "module", name = "productivity-module-flame-thrower-ammo",
  icon = "__increments__/graphics/modules/productivity-module-flame-thrower-ammo.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = flamethrowerammolimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	cannon-shell
{ 
  type = "module", name = "productivity-module-cannon-shell",
  icon = "__increments__/graphics/modules/productivity-module-cannon-shell.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = cannonshelllimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	land-mine
{ 
  type = "module", name = "productivity-module-land-mine",
  icon = "__increments__/graphics/modules/productivity-module-land-mine.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = landminelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--[[
--	railgun-ammo
{ 
  type = "module", name = "productivity-module-railgun-ammo",
  icon = "__increments__/graphics/modules/productivity-module-railgun-ammo.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = railgunammolimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]

-------- modules-capsules --------

--	poison-capsule
{ 
  type = "module", name = "productivity-module-poison-capsule",
  icon = "__increments__/graphics/modules/productivity-module-poison-capsule.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = poisoncapsulelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	slowdown-capsule
{ 
  type = "module", name = "productivity-module-slowdown-capsule",
  icon = "__increments__/graphics/modules/productivity-module-slowdown-capsule.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = slowdowncapsulelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	distractor-capsule
{ 
  type = "module", name = "productivity-module-distractor-capsule",
  icon = "__increments__/graphics/modules/productivity-module-distractor-capsule.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = distractorcapsulelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	defender-capsule
{ 
  type = "module", name = "productivity-module-defender-capsule",
  icon = "__increments__/graphics/modules/productivity-module-defender-capsule.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = defendercapsulelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	destroyer-capsule
{ 
  type = "module", name = "productivity-module-destroyer-capsule",
  icon = "__increments__/graphics/modules/productivity-module-destroyer-capsule.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = destroyercapsulelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-mining --------

--  burner-mining-drill
{ 
  type = "module", name = "productivity-module-burner-mining-drill",
  icon = "__increments__/graphics/modules/productivity-module-burner-mining-drill.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = burnerminingdrilllimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-mining-drill
{ 
  type = "module", name = "productivity-module-basic-mining-drill",
  icon = "__increments__/graphics/modules/productivity-module-basic-mining-drill.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicminingdrilllimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  mining-drill-2 
{ 
  type = "module", name = "productivity-module-mining-drill-2",
  icon = "__increments__/graphics/modules/productivity-module-mining-drill-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = miningdrill2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  mining-drill-3 
{ 
  type = "module", name = "productivity-module-mining-drill-3",
  icon = "__increments__/graphics/modules/productivity-module-mining-drill-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = miningdrill3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-buildings --------

--	assembling-machine-1
{ 
  type = "module", name = "productivity-module-assembling-machine-1",
  icon = "__increments__/graphics/modules/productivity-module-assembling-machine-1.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = assemblingmachine1limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	assembling-machine-2
{ 
  type = "module", name = "productivity-module-assembling-machine-2",
  icon = "__increments__/graphics/modules/productivity-module-assembling-machine-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = assemblingmachine2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	assembling-machine-3
{ 
  type = "module", name = "productivity-module-assembling-machine-3",
  icon = "__increments__/graphics/modules/productivity-module-assembling-machine-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = assemblingmachine3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-beacon
{ 
  type = "module", name = "productivity-module-basic-beacon",
  icon = "__increments__/graphics/modules/productivity-module-basic-beacon.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicbeaconlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	chemical-plant
{ 
  type = "module", name = "productivity-module-chemical-plant",
  icon = "__increments__/graphics/modules/productivity-module-chemical-plant.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = chemicalplantlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	small-pump
{ 
  type = "module", name = "productivity-module-small-pump",
  icon = "__increments__/graphics/modules/productivity-module-small-pump.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = smallpumplimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	pumpjack 
{ 
  type = "module", name = "productivity-module-pumpjack",
  icon = "__increments__/graphics/modules/productivity-module-pumpjack.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = pumpjack,
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--[[
--	oil-refinery 
{ 
  type = "module", name = "productivity-module-oil-refinery",
  icon = "__increments__/graphics/modules/productivity-module-oil-refinery.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = oilrefinerylimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]

--	storage-tank 
{ 
  type = "module", name = "productivity-module-storage-tank",
  icon = "__increments__/graphics/modules/productivity-module-storage-tank.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storagetanklimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--[[
--  radar
{ 
  type = "module", name = "productivity-module-substation-radar",
  icon = "__increments__/graphics/modules/productivity-module-radar.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = radarlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
 },
]]

--	roboport 
{ 
  type = "module", name = "productivity-module-roboport",
  icon = "__increments__/graphics/modules/productivity-module-roboport.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = roboportlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	stone-furnace
{ 
  type = "module", name = "productivity-module-stone-furnace",
  icon = "__increments__/graphics/modules/productivity-module-stone-furnace.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonefurnacelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	stone-furnace-fast
{ 
  type = "module", name = "productivity-module-stone-furnace-fast",
  icon = "__increments__/graphics/modules/productivity-module-stone-furnace-fast.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonefurnacefastlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	stone-furnace-fuel
{ 
  type = "module", name = "productivity-module-stone-furnace-fuel",
  icon = "__increments__/graphics/modules/productivity-module-stone-furnace-fuel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonefurnacefuellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	stone-furnace-pollution
{ 
  type = "module", name = "productivity-module-stone-furnace-pollution",
  icon = "__increments__/graphics/modules/productivity-module-stone-furnace-pollution.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonefurnacepollutionlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  steel-furnace 
{ 
  type = "module", name = "productivity-module-steel-furnace",
  icon = "__increments__/graphics/modules/productivity-module-steel-furnace.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = steelfurnacelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  electric-furnace 
{ 
  type = "module", name = "productivity-module-electric-furnace",
  icon = "__increments__/graphics/modules/productivity-module-electric-furnace.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = electricfurnacelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  radar 
{ 
  type = "module", name = "productivity-module-radar",
  icon = "__increments__/graphics/modules/productivity-module-radar.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = radarlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-energy --------

--[[
--	offshore-pump 
{ 
  type = "module", name = "productivity-module-offshore-pump ",
  icon = "__increments__/graphics/modules/productivity-module-offshore-pump .png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = offshorepumplimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
]]

--	boiler 
{ 
  type = "module", name = "productivity-module-boiler",
  icon = "__increments__/graphics/modules/productivity-module-boiler.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = boilerlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	steam-engine 
{ 
  type = "module", name = "productivity-module-steam-engine",
  icon = "__increments__/graphics/modules/productivity-module-steam-engine.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = steamenginelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
--	small-electric-pole
{ 
  type = "module", name = "productivity-module-small-electric-pole",
  icon = "__increments__/graphics/modules/productivity-module-small-electric-pole.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = smallelectricpolelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	medium-electric-pole
{ 
  type = "module", name = "productivity-module-medium-electric-pole",
  icon = "__increments__/graphics/modules/productivity-module-medium-electric-pole.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = mediumelectricpolelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	big-electric-pole
{ 
  type = "module", name = "productivity-module-big-electric-pole",
  icon = "__increments__/graphics/modules/productivity-module-big-electric-pole.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = bigelectricpolelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  substation 
{ 
  type = "module", name = "productivity-module-substation",
  icon = "__increments__/graphics/modules/productivity-module-substation.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = substationlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	substation-double
{ 
  type = "module", name = "productivity-module-substation-double",
  icon = "__increments__/graphics/modules/productivity-module-substation-double.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = substationdoublelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	substation-roboport
{ 
  type = "module", name = "productivity-module-substation-roboport",
  icon = "__increments__/graphics/modules/productivity-module-substation-roboport.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = substationroboportlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
 },
 
 --	solar-panel
{ 
  type = "module", name = "productivity-module-solar-panel",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanellimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  solar-panel-2 
{ 
  type = "module", name = "productivity-module-solar-panel-2",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanel2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  solar-panel-3 
{ 
  type = "module", name = "productivity-module-solar-panel-3",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanel3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  solar-panel-4 
{ 
  type = "module", name = "productivity-module-solar-panel-4",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-4.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanel4limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  solar-panel-5 
{ 
  type = "module", name = "productivity-module-solar-panel-5",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-5.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanel5limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  solar-panel-6 
{ 
  type = "module", name = "productivity-module-solar-panel-6",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-6.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanel6limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  solar-panel-7 
{ 
  type = "module", name = "productivity-module-solar-panel-7",
  icon = "__increments__/graphics/modules/productivity-module-solar-panel-7.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = solarpanel7limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	basic-accumulator
{ 
  type = "module", name = "productivity-module-basic-accumulator",
  icon = "__increments__/graphics/modules/productivity-module-basic-accumulator.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = basicaccumulatorlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},
-- accumulator mk 2
{ 
  type = "module", name = "productivity-module-accumulator-mk-2",
  icon = "__increments__/graphics/modules/productivity-module-accumulator-mk-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = accumulatormk2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- accumulator mk 3
{ 
  type = "module", name = "productivity-module-accumulator-mk-3",
  icon = "__increments__/graphics/modules/productivity-module-accumulator-mk-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = accumulatormk3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- accumulator mk 4
{ 
  type = "module", name = "productivity-module-accumulator-mk-4",
  icon = "__increments__/graphics/modules/productivity-module-accumulator-mk-4.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = accumulatormk4limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- accumulator mk 5
{ 
  type = "module", name = "productivity-module-accumulator-mk-5",
  icon = "__increments__/graphics/modules/productivity-module-accumulator-mk-5.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = accumulatormk5limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- accumulator mk 6
{ 
  type = "module", name = "productivity-module-accumulator-mk-6",
  icon = "__increments__/graphics/modules/productivity-module-accumulator-mk-6.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = accumulatormk6limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- accumulator mk 7
{ 
  type = "module", name = "productivity-module-accumulator-mk-7",
  icon = "__increments__/graphics/modules/productivity-module-accumulator-mk-7.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = accumulatormk7limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator 
{ 
  type = "module", name = "productivity-module-storage-accumulator",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatorlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator mk 2
{ 
  type = "module", name = "productivity-module-storage-accumulator-mk-2",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator-mk-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatormk2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator mk 3
{ 
  type = "module", name = "productivity-module-storage-accumulator-mk-3",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator-mk-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatormk3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator mk 4
{ 
  type = "module", name = "productivity-module-storage-accumulator-mk-4",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator-mk-4.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatormk4limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator mk 5
{ 
  type = "module", name = "productivity-module-storage-accumulator-mk-5",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator-mk-5.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatormk5limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator mk 6
{ 
  type = "module", name = "productivity-module-storage-accumulator-mk-6",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator-mk-6.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatormk6limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- storage accumulator mk 7
{ 
  type = "module", name = "productivity-module-storage-accumulator-mk-7",
  icon = "__increments__/graphics/modules/productivity-module-storage-accumulator-mk-7.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = storageaccumulatormk7limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator
{ 
  type = "module", name = "productivity-module-capacity-accumulator",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatorlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator mk 2
{ 
  type = "module", name = "productivity-module-capacity-accumulator-mk-2",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator-mk-2.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatormk2limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator mk 3
{ 
  type = "module", name = "productivity-module-capacity-accumulator-mk-3",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator-mk-3.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatormk3limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator mk 4
{ 
  type = "module", name = "productivity-module-capacity-accumulator-mk-4",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator-mk-4.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatormk4limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator mk 5
{ 
  type = "module", name = "productivity-module-capacity-accumulator-mk-5",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator-mk-5.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatormk5limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator mk 6
{ 
  type = "module", name = "productivity-module-capacity-accumulator-mk-6",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator-mk-6.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatormk6limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-- capacity accumulator mk 7
{ 
  type = "module", name = "productivity-module-capacity-accumulator-mk-7",
  icon = "__increments__/graphics/modules/productivity-module-capacity-accumulator-mk-7.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = capacityaccumulatormk7limit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-defense --------

--	stone-wall
{ 
  type = "module", name = "productivity-module-stone-wall",
  icon = "__increments__/graphics/modules/productivity-module-stone-wall.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = stonewalllimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  gate
{ 
  type = "module", name = "productivity-module-gate",
  icon = "__increments__/graphics/modules/productivity-module-gate.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = gatelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  submachine-gun-turret (gun-turret)
{ 
  type = "module", name = "productivity-module-submachine-gun-turret",
  icon = "__increments__/graphics/modules/productivity-module-gun-turret.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = submachinegunturretlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  shotgun-turret (gun-turret)
{ 
  type = "module", name = "productivity-module-shotgun-turret",
  icon = "__increments__/graphics/modules/productivity-module-gun-turret.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = shotgunturretlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  laser-turret 
{ 
  type = "module", name = "productivity-module-laser-turret",
  icon = "__increments__/graphics/modules/productivity-module-laser-turret.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = laserturretlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

-------- modules-transportation --------

--	construction-robot
{ 
  type = "module", name = "productivity-module-construction-robot",
  icon = "__increments__/graphics/modules/productivity-module-construction-robot.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = constructionrobotlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},


--	engine-unit
{ 
  type = "module", name = "productivity-module-engine-unit",
  icon = "__increments__/graphics/modules/productivity-module-engine-unit.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = engineunitlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	electric-engine-unit
{ 
  type = "module", name = "productivity-module-electric-engine-unit",
  icon = "__increments__/graphics/modules/productivity-module-electric-engine-unit.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = electricengineunitlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  flying-robot-frame
{ 
  type = "module", name = "productivity-module-flying-robot-frame",
  icon = "__increments__/graphics/modules/productivity-module-flying-robot-frame.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = flyingrobotframelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	logistic-robot
{ 
  type = "module", name = "productivity-module-logistic-robot",
  icon = "__increments__/graphics/modules/productivity-module-logistic-robot.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = logisticrobotlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	straight-rail
{ 
  type = "module", name = "productivity-module-straight-rail",
  icon = "__increments__/graphics/modules/productivity-module-straight-rail.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = straightraillimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	curved-rail
{ 
  type = "module", name = "productivity-module-curved-rail",
  icon = "__increments__/graphics/modules/productivity-module-curved-rail.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = curvedraillimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	diesel-locomotive
{ 
  type = "module", name = "productivity-module-diesel-locomotive",
  icon = "__increments__/graphics/modules/productivity-module-diesel-locomotive.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = diesellocomotivelimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	cargo-wagon
{ 
  type = "module", name = "productivity-module-cargo-wagon",
  icon = "__increments__/graphics/modules/productivity-module-cargo-wagon.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = cargowagonlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	rail-signal
{ 
  type = "module", name = "productivity-module-rail-signal",
  icon = "__increments__/graphics/modules/productivity-module-rail-signal.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = railsignallimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--	train-stop
{ 
  type = "module", name = "productivity-module-train-stop",
  icon = "__increments__/graphics/modules/productivity-module-train-stop.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = trainstoplimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
}

--[[
--  car
{ 
  type = "module", name = "productivity-module-car",
  icon = "__increments__/graphics/modules/productivity-module-car.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = carlimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
},

--  truck
{ 
  type = "module", name = "productivity-module-truck",
  icon = "__increments__/graphics/modules/productivity-module-truck.png",
  flags = { "goes-to-main-inventory" },
  stack_size = 10,
  limitation = trucklimit(),
  limitation_message_key = "Can only use this module in the recipes its designed for.",
  effect =  {productivity = {bonus = 0.04}, consumption = {bonus = 0.1}}
}
]]

})
