data:extend(
{

-- Energy Shield Equipment

{
  type = "energy-shield-equipment",
  name = "energy-shield-equipment-mk-3",
  sprite = 
  {
  filename = "__increments__/graphics/equipment/energy-shield-equipment-mk-3.png",
    width = 64,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 2,
    type = "full"
  },
  max_shield_value = 300,
  energy_source =
  {
    type = "electric",
    buffer_capacity = "180J",
    input_flow_limit = "180W",
    usage_priority = "primary-input"
  },
  energy_per_shield = "30J"
},

{
  type = "energy-shield-equipment",
  name = "energy-shield-equipment-mk-4",
  sprite = 
  {
  filename = "__increments__/graphics/equipment/energy-shield-equipment-mk-4.png",
    width = 64,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 2,
    type = "full"
  },
  max_shield_value = 150,
  energy_source =
  {
    type = "electric",
    buffer_capacity = "360J",
    input_flow_limit = "360W",
    usage_priority = "primary-input"
  },
  energy_per_shield = "30J"
},

{
  type = "energy-shield-equipment",
  name = "energy-shield-equipment-mk-5",
  sprite = 
  {
  filename = "__increments__/graphics/equipment/energy-shield-equipment-mk-5.png",
    width = 64,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 2,
    type = "full"
  },
  max_shield_value = 300,
  energy_source =
  {
    type = "electric",
    buffer_capacity = "360J",
    input_flow_limit = "360W",
    usage_priority = "primary-input"
  },
  energy_per_shield = "30J"
},

{
  type = "energy-shield-equipment",
  name = "energy-shield-equipment-mk-6",
  sprite = 
  {
  filename = "__increments__/graphics/equipment/energy-shield-equipment-mk-6.png",
    width = 64,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 2,
    type = "full"
  },
  max_shield_value = 500,
  energy_source =
  {
    type = "electric",
    buffer_capacity = "360J",
    input_flow_limit = "360W",
    usage_priority = "primary-input"
  },
  energy_per_shield = "30J"
},

{
  type = "energy-shield-equipment",
  name = "energy-shield-equipment-mk-7",
  sprite = 
  {
  filename = "__increments__/graphics/equipment/energy-shield-equipment-mk-7.png",
    width = 64,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 2,
    type = "full"
  },
  max_shield_value = 650,
  energy_source =
  {
    type = "electric",
    buffer_capacity = "540J",
    input_flow_limit = "540W",
    usage_priority = "primary-input"
  },
  energy_per_shield = "30J"
},
  
-- Energy Shield Item

{
  type = "item",
  name = "energy-shield-equipment-mk-3",
  icon = "__increments__/graphics/icons/energy-shield-equipment-mk-3.png",
  placed_as_equipment_result = "energy-shield-equipment-mk-3",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "energy-shield",
  order = "f-d-a-c",
  stack_size = 16
},

{
  type = "item",
  name = "energy-shield-equipment-mk-4",
  icon = "__increments__/graphics/icons/energy-shield-equipment-mk-4.png",
  placed_as_equipment_result = "energy-shield-equipment-mk-4",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "energy-shield",
  order = "f-d-a-d",
  stack_size = 16
},

{
  type = "item",
  name = "energy-shield-equipment-mk-5",
  icon = "__increments__/graphics/icons/energy-shield-equipment-mk-5.png",
  placed_as_equipment_result = "energy-shield-equipment-mk-5",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "energy-shield",
  order = "f-d-a-e",
  stack_size = 16
},

{
  type = "item",
  name = "energy-shield-equipment-mk-6",
  icon = "__increments__/graphics/icons/energy-shield-equipment-mk-6.png",
  placed_as_equipment_result = "energy-shield-equipment-mk-6",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "energy-shield",
  order = "f-d-a-f",
  stack_size = 16
},

{
  type = "item",
  name = "energy-shield-equipment-mk-7",
  icon = "__increments__/graphics/icons/energy-shield-equipment-mk-7.png",
  placed_as_equipment_result = "energy-shield-equipment-mk-7",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "energy-shield",
  order = "f-d-a-g",
  stack_size = 16
},

-- Energy Shield Recipe

{
  type = "recipe",
  name = "energy-shield-equipment-mk-3",
  enabled = "false",
  energy_required = 12,
  ingredients =
  {
    {"energy-shield-mk2-equipment", 3},
    {"effectivity-module", 10},
    {"productivity-module", 10}
  },
  result = "energy-shield-equipment-mk-3"
},

{
  type = "recipe",
  name = "energy-shield-equipment-mk-4",
  enabled = "false",
  energy_required = 12,
  ingredients =
  {
    {"energy-shield-equipment-mk-3", 3},
    {"effectivity-module", 10},
    {"productivity-module", 10}
  },
  result = "energy-shield-equipment-mk-4"
},

{
  type = "recipe",
  name = "energy-shield-equipment-mk-5",
  enabled = "false",
  energy_required = 15,
  ingredients =
  {
    {"energy-shield-equipment-mk-4", 3},
    {"effectivity-module-2", 15},
    {"productivity-module-2", 15},
    {"alien-artifact", 30}
  },
  result = "energy-shield-equipment-mk-5"
},

{
  type = "recipe",
  name = "energy-shield-equipment-mk-6",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"energy-shield-equipment-mk-5", 3},
    {"effectivity-module-3", 15},
    {"productivity-module-3", 15},
	{"alien-artifact", 50}
  },
  result = "energy-shield-equipment-mk-6"
},

{
  type = "recipe",
  name = "energy-shield-equipment-mk-7",
  enabled = "false",
  energy_required = 20,
  ingredients =
  {
    {"energy-shield-equipment-mk-6", 3},
    {"effectivity-module-3", 25},
    {"productivity-module-3", 25},
	{"alien-artifact", 100}
  },
  result = "energy-shield-equipment-mk-7"
},

-- Energy Shield Technology 

{
  type = "technology",
  name = "energy-shield-equipment-mk-3",
  icon = "__increments__/graphics/technology/energy-shield.png",
  prerequisites = {"energy-shield-mk2-equipment"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "energy-shield-equipment-mk-3"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
    {
  	  {"science-pack-1", 2},
   	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
    },
    time = 45
  },
  order = "g-e-b",
  
},

{
  type = "technology",
  name = "energy-shield-equipment-mk-4",
  icon = "__increments__/graphics/technology/energy-shield.png",
  prerequisites = {"energy-shield-equipment-mk-3"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "energy-shield-equipment-mk-4"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
	{
	  {"science-pack-1", 3},
  	  {"science-pack-2", 3},
	  {"science-pack-3", 3}
	},
    time = 60
  },
  order = "g-e-b",
},

{
  type = "technology",
  name = "energy-shield-equipment-mk-5",
  icon = "__increments__/graphics/technology/energy-shield.png",
  prerequisites = {"energy-shield-equipment-mk-4"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "energy-shield-equipment-mk-5"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
	{
	  {"science-pack-1", 4},
	  {"science-pack-2", 4},
	  {"science-pack-3", 4}
	},
    time = 70
  },
  order = "g-e-b",
},

{
  type = "technology",
  name = "energy-shield-equipment-mk-6",
  icon = "__increments__/graphics/technology/energy-shield.png",
  prerequisites = {"energy-shield-equipment-mk-5"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "energy-shield-equipment-mk-6"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
	{
	  {"science-pack-1", 5}, 
	  {"science-pack-2", 5},
	  {"science-pack-3", 5}
	},
    time = 75
  },
  order = "g-e-b",
},

{
  type = "technology",
  name = "energy-shield-equipment-mk-7",
  icon = "__increments__/graphics/technology/energy-shield.png",
  prerequisites = {"energy-shield-equipment-mk-6"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "energy-shield-equipment-mk-7"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 5},
	  {"science-pack-2", 5},
	  {"science-pack-3", 5}
	},
    time = 100
  },
  order = "g-e-b",
},

--Fusion Reactor Equipment

{
  type = "generator-equipment",
  name = "fusion-reactor-equipment-mk-2",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/fusion-reactor-equipment-mk-2.png",
    width = 128,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 4,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  power = "1200W"
},

{
  type = "generator-equipment",
  name = "fusion-reactor-equipment-mk-3",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/fusion-reactor-equipment-mk-3.png",
    width = 128,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 4,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  power = "1650W"
},

{
  type = "generator-equipment",
  name = "fusion-reactor-equipment-mk-4",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/fusion-reactor-equipment-mk-4.png",
    width = 128,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 4,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  power = "2100W"
},

{
  type = "generator-equipment",
  name = "fusion-reactor-equipment-mk-5",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/fusion-reactor-equipment-mk-5.png",
    width = 128,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 4,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  power = "2550W"
},

{
  type = "generator-equipment",
  name = "fusion-reactor-equipment-mk-6",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/fusion-reactor-equipment-mk-6.png",
    width = 128,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 4,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  power = "3000W"
},

{
  type = "generator-equipment",
  name = "fusion-reactor-equipment-mk-7",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/fusion-reactor-equipment-mk-7.png",
    width = 128,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 4,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  power = "3500W"
},
  
-- Fusion Reactor Item

{
  type = "item",
  name = "fusion-reactor-equipment-mk-2",
  icon = "__increments__/graphics/icons/fusion-reactor-equipment-mk-2.png",
  placed_as_equipment_result = "fusion-reactor-equipment-mk-2",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "reactor",
  order = "f-d-c-c",
  stack_size = 16
},

{
  type = "item",
  name = "fusion-reactor-equipment-mk-3",
  icon = "__increments__/graphics/icons/fusion-reactor-equipment-mk-3.png",
  placed_as_equipment_result = "fusion-reactor-equipment-mk-3",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "reactor",
  order = "f-d-c-d",
  stack_size = 16
},

{
  type = "item",
  name = "fusion-reactor-equipment-mk-4",
  icon = "__increments__/graphics/icons/fusion-reactor-equipment-mk-4.png",
  placed_as_equipment_result = "fusion-reactor-equipment-mk-4",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "reactor",
  order = "f-d-c-e",
  stack_size = 16
},

{
  type = "item",
  name = "fusion-reactor-equipment-mk-5",
  icon = "__increments__/graphics/icons/fusion-reactor-equipment-mk-5.png",
  placed_as_equipment_result = "fusion-reactor-equipment-mk-5",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "reactor",
  order = "f-d-c-f",
  stack_size = 16
},

{
  type = "item",
  name = "fusion-reactor-equipment-mk-6",
  icon = "__increments__/graphics/icons/fusion-reactor-equipment-mk-6.png",
  placed_as_equipment_result = "fusion-reactor-equipment-mk-6",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "reactor",
  order = "f-d-c-g",
  stack_size = 16
},

{
  type = "item",
  name = "fusion-reactor-equipment-mk-7",
  icon = "__increments__/graphics/icons/fusion-reactor-equipment-mk-7.png",
  placed_as_equipment_result = "fusion-reactor-equipment-mk-7",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "reactor",
  order = "f-d-c-h",
  stack_size = 16
},

-- Fusion Reactor Recipe

{
  type = "recipe",
  name = "fusion-reactor-equipment-mk-2",
  enabled = "false",
  energy_required = 15,
  ingredients =
  {
    {"fusion-reactor-equipment", 1},
    {"productivity-module-2", 10},
    {"advanced-circuit", 25}
  },
  result = "fusion-reactor-equipment-mk-2"
},

{
  type = "recipe",
  name = "fusion-reactor-equipment-mk-3",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"fusion-reactor-equipment-mk-2", 1},
    {"productivity-module-2", 20},
    {"advanced-circuit", 50}
  },
  result = "fusion-reactor-equipment-mk-3"
},

{
  type = "recipe",
  name = "fusion-reactor-equipment-mk-4",
  enabled = "false",
  energy_required = 20,
  ingredients =
  {
    {"fusion-reactor-equipment-mk-3", 1},
    {"productivity-module-3", 10},
    {"advanced-circuit", 75},
  },
  result = "fusion-reactor-equipment-mk-4"
},

{
  type = "recipe",
  name = "fusion-reactor-equipment-mk-5",
  enabled = "false",
  energy_required = 25,
  ingredients =
  {
    {"fusion-reactor-equipment-mk-4", 1},
    {"productivity-module-3", 25},
    {"advanced-circuit", 100},
    {"alien-artifact", 30}
  },
  result = "fusion-reactor-equipment-mk-5"
},

{
  type = "recipe",
  name = "fusion-reactor-equipment-mk-6",
  enabled = "false",
  energy_required = 30,
  ingredients =
  {
    {"fusion-reactor-equipment-mk-5", 1},
    {"productivity-module-3", 50},
    {"advanced-circuit", 150},
	{"alien-artifact", 100}
  },
  result = "fusion-reactor-equipment-mk-6"
},

{
  type = "recipe",
  name = "fusion-reactor-equipment-mk-7",
  enabled = "false",
  energy_required = 40,
  ingredients =
  {
    {"fusion-reactor-equipment-mk-6", 1},
    {"productivity-module-3", 100},
    {"advanced-circuit", 200},
	{"alien-artifact", 200}
  },
  result = "fusion-reactor-equipment-mk-7"
},

-- Fusion Reactor Technology

{
  type = "technology",
  name = "fusion-reactor-equipment-mk-2",
  icon = "__increments__/graphics/technology/fusion-reactor.png",
  prerequisites = {"fusion-reactor-equipment"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "fusion-reactor-equipment-mk-2"
    }
  },
  unit =
  {
    count = 200,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
	},
    time = 50
  },
  order = "g-l",
},

{
  type = "technology",
  name = "fusion-reactor-equipment-mk-3",
  icon = "__increments__/graphics/technology/fusion-reactor.png",
  prerequisites = {"fusion-reactor-equipment-mk-2"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "fusion-reactor-equipment-mk-3"
    }
  },
  unit =
  {
    count = 200,
    ingredients = 
	{
	  {"science-pack-1", 3},
	  {"science-pack-2", 3},
	  {"science-pack-3", 3}
	},
    time = 60
  },
  order = "g-l",
},

{
  type = "technology",
  name = "fusion-reactor-equipment-mk-4",
  icon = "__increments__/graphics/technology/fusion-reactor.png",
  prerequisites = {"fusion-reactor-equipment-mk-3"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "fusion-reactor-equipment-mk-4"
    }
  },
  unit =
  {
    count = 200,
    ingredients = 
	{
	  {"science-pack-1", 4},
	  {"science-pack-2", 4},
	  {"science-pack-3", 4}
	},
    time = 70
  },
  order = "g-l",
},

{
  type = "technology",
  name = "fusion-reactor-equipment-mk-5",
  icon = "__increments__/graphics/technology/fusion-reactor.png",
  prerequisites = {"fusion-reactor-equipment-mk-4"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "fusion-reactor-equipment-mk-5"
    }
  },
  unit =
  {
    count = 200,
    ingredients = 
	{
	  {"science-pack-1", 5},
	  {"science-pack-2", 5},
	  {"science-pack-3", 5}
	},
    time = 80
  },
  order = "g-l",
},

{
  type = "technology",
  name = "fusion-reactor-equipment-mk-6",
  icon = "__increments__/graphics/technology/fusion-reactor.png",
  prerequisites = {"fusion-reactor-equipment-mk-5"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "fusion-reactor-equipment-mk-6"
    }
  },
  unit =
  {
    count = 200,
    ingredients = 
	{
	  {"science-pack-1", 6},
	  {"science-pack-2", 6},
	  {"science-pack-3", 6}
	},
    time = 100
  },
  order = "g-l" 
},

{
  type = "technology",
  name = "fusion-reactor-equipment-mk-7",
  icon = "__increments__/graphics/technology/fusion-reactor.png",
  prerequisites = {"fusion-reactor-equipment-mk-6"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "fusion-reactor-equipment-mk-7"
    }
  },
  unit =
  {
    count = 200,
    ingredients = 
	{
	  {"science-pack-1", 7},
	  {"science-pack-2", 7},
	  {"science-pack-3", 7}
	},
    time = 120
  },
  order = "g-l",
}, 

--Battery Equipment

{
  type = "battery-equipment",
  name = "battery-equipment-mk-3",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/battery-equipment-mk-3.png",
    width = 32,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 1,
    height = 2,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "10KJ",
    input_flow_limit = "50KW",
    output_flow_limit = "50KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "battery-equipment-mk-4",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/battery-equipment-mk-4.png",
    width = 32,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 1,
    height = 2,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "15KJ",
    input_flow_limit = "50KW",
    output_flow_limit = "50KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "battery-equipment-mk-5",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/battery-equipment-mk-5.png",
    width = 32,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 1,
    height = 2,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "20KJ",
    input_flow_limit = "50KW",
    output_flow_limit = "50KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "battery-equipment-mk-6",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/battery-equipment-mk-6.png",
    width = 32,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 1,
    height = 2,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "25KJ",
    input_flow_limit = "75KW",
    output_flow_limit = "75KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "battery-equipment-mk-7",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/battery-equipment-mk-7.png",
    width = 32,
    height = 64,
    priority = "medium"
  },
  shape =
  {
    width = 1,
    height = 2,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "30KJ",
    input_flow_limit = "75KW",
    output_flow_limit = "75KW",
    usage_priority = "terciary"
  }
},

-- Battery Item
 
{
  type = "item",
  name = "battery-equipment-mk-3",
  icon = "__increments__/graphics/icons/battery-equipment-mk-3.png",
  placed_as_equipment_result = "battery-equipment-mk-3",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-c",
  stack_size = 16
},

{
  type = "item",
  name = "battery-equipment-mk-4",
  icon = "__increments__/graphics/icons/battery-equipment-mk-4.png",
  placed_as_equipment_result = "battery-equipment-mk-4",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-d",
  stack_size = 16
},

{
  type = "item",
  name = "battery-equipment-mk-5",
  icon = "__increments__/graphics/icons/battery-equipment-mk-5.png",
  placed_as_equipment_result = "battery-equipment-mk-5",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-e",
  stack_size = 16
},

{
  type = "item",
  name = "battery-equipment-mk-6",
  icon = "__increments__/graphics/icons/battery-equipment-mk-6.png",
  placed_as_equipment_result = "battery-equipment-mk-6",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-f",
  stack_size = 16
},

{
  type = "item",
  name = "battery-equipment-mk-7",
  icon = "__increments__/graphics/icons/battery-equipment-mk-7.png",
  placed_as_equipment_result = "battery-equipment-mk-7",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-g",
  stack_size = 16
},

-- Battery Recipe

{
  type = "recipe",
  name = "battery-equipment-mk-3",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"battery-mk2-equipment", 3},
    {"productivity-module-2", 5},
    {"effectivity-module-2", 5},
    {"speed-module-2", 5}
  },
  result = "battery-equipment-mk-3"
},

{
  type = "recipe",
  name = "battery-equipment-mk-4",
  enabled = "false",
  energy_required = 20,
  ingredients =
  {
    {"battery-equipment-mk-3", 3},
    {"productivity-module-2", 10},
    {"effectivity-module-2", 10},
    {"speed-module-2", 10}
  },
  result = "battery-equipment-mk-4"
},

{
  type = "recipe",
  name = "battery-equipment-mk-5",
  enabled = "false",
  energy_required = 25,
  ingredients =
  {
    {"battery-equipment-mk-4", 3},
    {"productivity-module-2", 15},
    {"effectivity-module-2", 15},
    {"speed-module-2", 15},
    {"alien-artifact", 20}
  },
  result = "battery-equipment-mk-5"
},

{
  type = "recipe",
  name = "battery-equipment-mk-6",
  enabled = "false",
  energy_required = 30,
  ingredients =
  {
    {"battery-equipment-mk-5", 3},
    {"productivity-module-3", 20},
    {"effectivity-module-3", 20},
    {"speed-module-3", 20},
	{"alien-artifact", 50}
  },
  result = "battery-equipment-mk-6"
},

{
  type = "recipe",
  name = "battery-equipment-mk-7",
  enabled = "false",
  energy_required = 40,
  ingredients =
  {
    {"battery-equipment-mk-6", 3},
    {"productivity-module-3", 50},
    {"effectivity-module-3", 50},
    {"speed-module-3", 50},
	{"alien-artifact", 100}
  },
  result = "battery-equipment-mk-7"
},

-- Battery Technology

{
  type = "technology",
  name = "battery-equipment-mk-3",
  icon = "__increments__/graphics/technology/battery.png",
  prerequisites = {"battery-mk2-equipment"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "battery-equipment-mk-3"
    },
	{
      type = "unlock-recipe",
      recipe = "horizontal-battery-equipment-mk-3"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
	},
    time = 35
  },
  order = "g-i-b",
},

{
  type = "technology",
  name = "battery-equipment-mk-4",
  icon = "__increments__/graphics/technology/battery.png",
  prerequisites = {"battery-equipment-mk-3"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "battery-equipment-mk-4"
    },
	{
      type = "unlock-recipe",
      recipe = "horizontal-battery-equipment-mk-4"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 3},
	  {"science-pack-2", 3},
	  {"science-pack-3", 3}
	},
    time = 40
  },
  order = "g-i-b",
},

{
  type = "technology",
  name = "battery-equipment-mk-5",
  icon = "__increments__/graphics/technology/battery.png",
  prerequisites = {"battery-equipment-mk-4"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "battery-equipment-mk-5"
    },
	{
      type = "unlock-recipe",
      recipe = "horizontal-battery-equipment-mk-5"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 4},
	  {"science-pack-2", 4},
	  {"science-pack-3", 4}
	},
    time = 45
  },
  order = "g-i-b",
},

{
  type = "technology",
  name = "battery-equipment-mk-6",
  icon = "__increments__/graphics/technology/battery.png",
  prerequisites = {"battery-equipment-mk-5"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "battery-equipment-mk-6"
    },
	{
      type = "unlock-recipe",
      recipe = "horizontal-battery-equipment-mk-6"
    }
	
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 5},
	  {"science-pack-2", 5},
	  {"science-pack-3", 5}
	},
    time = 50
  },
  order = "g-i-b",
},

{
  type = "technology",
  name = "battery-equipment-mk-7",
  icon = "__increments__/graphics/technology/battery.png",
  prerequisites = {"battery-equipment-mk-6"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "battery-equipment-mk-7"
    },
	{
      type = "unlock-recipe",
      recipe = "horizontal-battery-equipment-mk-7"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 6},
	  {"science-pack-2", 6},
	  {"science-pack-3", 6}
	},
    time = 55
  },
  order = "g-i-b",
},

-- Horizontal Battery Equipment

{
  type = "battery-equipment",
  name = "horizontal-battery-equipment-mk-3",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/horizontal-battery-equipment-mk-3.png",
    width = 64,
    height = 32,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 1,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "10KJ",
    input_flow_limit = "50KW",
    output_flow_limit = "50KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "horizontal-battery-equipment-mk-4",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/horizontal-battery-equipment-mk-4.png",
    width = 64,
    height = 32,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 1,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "15KJ",
    input_flow_limit = "50KW",
    output_flow_limit = "50KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "horizontal-battery-equipment-mk-5",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/horizontal-battery-equipment-mk-5.png",
    width = 64,
    height = 32,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 1,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "20KJ",
    input_flow_limit = "50KW",
    output_flow_limit = "50KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "horizontal-battery-equipment-mk-6",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/horizontal-battery-equipment-mk-6.png",
    width = 64,
    height = 32,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 1,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "25KJ",
    input_flow_limit = "75KW",
    output_flow_limit = "75KW",
    usage_priority = "terciary"
  }
},

{
  type = "battery-equipment",
  name = "horizontal-battery-equipment-mk-7",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/horizontal-battery-equipment-mk-7.png",
    width = 64,
    height = 32,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 1,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    buffer_capacity = "30KJ",
    input_flow_limit = "75KW",
    output_flow_limit = "75KW",
    usage_priority = "terciary"
  }
},

-- Horizontal Battery Item

{
  type = "item",
  name = "horizontal-battery-equipment-mk-3",
  icon = "__increments__/graphics/icons/horizontal-battery-equipment-mk-3.png",
  placed_as_equipment_result = "horizontal-battery-equipment-mk-3",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-h",
  stack_size = 16
},

{
  type = "item",
  name = "horizontal-battery-equipment-mk-4",
  icon = "__increments__/graphics/icons/horizontal-battery-equipment-mk-4.png",
  placed_as_equipment_result = "horizontal-battery-equipment-mk-4",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-i",
  stack_size = 16
},

{
  type = "item",
  name = "horizontal-battery-equipment-mk-5",
  icon = "__increments__/graphics/icons/horizontal-battery-equipment-mk-5.png",
  placed_as_equipment_result = "horizontal-battery-equipment-mk-5",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-j",
  stack_size = 16
},

{
  type = "item",
  name = "horizontal-battery-equipment-mk-6",
  icon = "__increments__/graphics/icons/horizontal-battery-equipment-mk-6.png",
  placed_as_equipment_result = "horizontal-battery-equipment-mk-6",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-k",
  stack_size = 16
},

{
  type = "item",
  name = "horizontal-battery-equipment-mk-7",
  icon = "__increments__/graphics/icons/horizontal-battery-equipment-mk-7.png",
  placed_as_equipment_result = "horizontal-battery-equipment-mk-7",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "battery",
  order = "f-d-b-l",
  stack_size = 16
},

-- Horizontal Battery Recipe

{
  type = "recipe",
  name = "horizontal-battery-equipment-mk-3",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"battery-equipment-mk-3", 1}
  },
  result = "horizontal-battery-equipment-mk-3"
},

{
  type = "recipe",
  name = "horizontal-battery-equipment-mk-4",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"battery-equipment-mk-4", 1}
  },
  result = "horizontal-battery-equipment-mk-4"
},

{
  type = "recipe",
  name = "horizontal-battery-equipment-mk-5",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"battery-equipment-mk-5", 1}
  },
  result = "horizontal-battery-equipment-mk-5"
},

{
  type = "recipe",
  name = "horizontal-battery-equipment-mk-6",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"battery-equipment-mk-6", 1}
  },
  result = "horizontal-battery-equipment-mk-6"
},

{
  type = "recipe",
  name = "horizontal-battery-equipment-mk-7",
  enabled = "false",
  energy_required = 17,
  ingredients =
  {
    {"battery-equipment-mk-7", 1}
  },
  result = "horizontal-battery-equipment-mk-7"
},

-- Exoskeleton Equipment

{
  type = "movement-bonus-equipment",
  name = "exoskeleton-equipment-mk-2",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/exoskeleton-equipment-mk-2.png",
    width = 64,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input"
  },
  energy_consumption = "400W",
  movement_bonus = 0.45
},

{
  type = "movement-bonus-equipment",
  name = "exoskeleton-equipment-mk-3",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/exoskeleton-equipment-mk-3.png",
    width = 64,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input"
  },
  energy_consumption = "600W",
  movement_bonus = 0.6
},

{
  type = "movement-bonus-equipment",
  name = "exoskeleton-equipment-mk-4",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/exoskeleton-equipment-mk-4.png",
    width = 64,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input"
  },
  energy_consumption = "800W",
  movement_bonus = 0.75
},

{
  type = "movement-bonus-equipment",
  name = "exoskeleton-equipment-mk-5",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/exoskeleton-equipment-mk-5.png",
    width = 64,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input"
  },
  energy_consumption = "1000W",
  movement_bonus = 0.9
},

{
  type = "movement-bonus-equipment",
  name = "exoskeleton-equipment-mk-6",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/exoskeleton-equipment-mk-6.png",
    width = 64,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input"
  },
  energy_consumption = "1200W",
  movement_bonus = 1.05
},

{
  type = "movement-bonus-equipment",
  name = "exoskeleton-equipment-mk-7",
  sprite = 
  {
    filename = "__increments__/graphics/equipment/exoskeleton-equipment-mk-7.png",
    width = 64,
    height = 128,
    priority = "medium"
  },
  shape =
  {
    width = 2,
    height = 4,
    type = "full"
  },
  energy_source =
  {
    type = "electric",
    usage_priority = "secondary-input"
  },
  energy_consumption = "1400W",
  movement_bonus = 1.2
},

-- Exoskeleton Item

{
  type = "item",
  name = "exoskeleton-equipment-mk-2",
  icon = "__increments__/graphics/icons/exoskeleton-equipment-mk-2.png",
  placed_as_equipment_result = "exoskeleton-equipment-mk-2",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "exoskeleton",
  order = "f-d-e-b",
  stack_size = 4
},

{
  type = "item",
  name = "exoskeleton-equipment-mk-3",
  icon = "__increments__/graphics/icons/exoskeleton-equipment-mk-3.png",
  placed_as_equipment_result = "exoskeleton-equipment-mk-3",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "exoskeleton",
  order = "f-d-e-c",
  stack_size = 4
},

{
  type = "item",
  name = "exoskeleton-equipment-mk-4",
  icon = "__increments__/graphics/icons/exoskeleton-equipment-mk-4.png",
  placed_as_equipment_result = "exoskeleton-equipment-mk-4",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "exoskeleton",
  order = "f-d-e-d",
  stack_size = 4
},

{
  type = "item",
  name = "exoskeleton-equipment-mk-5",
  icon = "__increments__/graphics/icons/exoskeleton-equipment-mk-5.png",
  placed_as_equipment_result = "exoskeleton-equipment-mk-5",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "exoskeleton",
  order = "f-d-e-e",
  stack_size = 4
},

{
  type = "item",
  name = "exoskeleton-equipment-mk-6",
  icon = "__increments__/graphics/icons/exoskeleton-equipment-mk-6.png",
  placed_as_equipment_result = "exoskeleton-equipment-mk-6",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "exoskeleton",
  order = "f-d-e-f",
  stack_size = 4
},

{
  type = "item",
  name = "exoskeleton-equipment-mk-7",
  icon = "__increments__/graphics/icons/exoskeleton-equipment-mk-7.png",
  placed_as_equipment_result = "exoskeleton-equipment-mk-7",
  flags = {"goes-to-main-inventory"},
  group = "combat", subgroup = "exoskeleton",
  order = "f-d-e-g",
  stack_size = 4
},

-- Exoskeleton Recipe

{
  type = "recipe",
  name = "exoskeleton-equipment-mk-2",
  enabled = "false",
  energy_required = 10,
  ingredients =
  {
    {"speed-module", 25},
    {"steel-plate", 50},
    {"basic-exoskeleton-equipment", 1},
    {"iron-gear-wheel", 75}
  },
  result = "exoskeleton-equipment-mk-2"
},

{
  type = "recipe",
  name = "exoskeleton-equipment-mk-3",
  enabled = "false",
  energy_required = 10,
  ingredients =
  {
    {"speed-module-2", 15},
    {"steel-plate", 75},
    {"exoskeleton-equipment-mk-2", 1},
    {"iron-gear-wheel", 100}
  },
  result = "exoskeleton-equipment-mk-3"
},

{
  type = "recipe",
  name = "exoskeleton-equipment-mk-4",
  enabled = "false",
  energy_required = 10,
  ingredients =
  {
    {"speed-module-2", 30},
    {"steel-plate", 100},
    {"steel-gear-wheel", 25},
    {"exoskeleton-equipment-mk-3", 1}
  },
  result = "exoskeleton-equipment-mk-4"
},

{
  type = "recipe",
  name = "exoskeleton-equipment-mk-5",
  enabled = "false",
  energy_required = 10,
  ingredients =
  {
    {"speed-module-3", 20},
    {"steel-plate", 100},
    {"steel-gear-wheel", 50},
    {"exoskeleton-equipment-mk-4", 1}
  },
  result = "exoskeleton-equipment-mk-5"
},

{
  type = "recipe",
  name = "exoskeleton-equipment-mk-6",
  enabled = "false",
  energy_required = 10,
  ingredients =
  {
    {"speed-module-3", 40},
    {"steel-plate", 100},
    {"steel-gear-wheel", 100},
    {"exoskeleton-equipment-mk-5", 1},
	{"alien-artifact", 25}
  },
  result = "exoskeleton-equipment-mk-6"
},

{
  type = "recipe",
  name = "exoskeleton-equipment-mk-7",
  enabled = "false",
  energy_required = 10,
  ingredients =
  {
    {"speed-module-3", 75},
    {"steel-plate", 100},
    {"steel-gear-wheel", 100},
    {"exoskeleton-equipment-mk-6", 1},
	{"alien-artifact", 50}
  },
  result = "exoskeleton-equipment-mk-7"
},

--Exoskeleton Technology

{
  type = "technology",
  name = "exoskeleton-equipment-mk-2",
  icon = "__increments__/graphics/technology/exoskeleton.png",
  prerequisites = {"basic-exoskeleton-equipment"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "exoskeleton-equipment-mk-2"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
	{
	  {"science-pack-1", 1},
	  {"science-pack-2", 1},
	  {"science-pack-3", 1}
	},
    time = 30
  },
  order = "g-h",
},

{
  type = "technology",
  name = "exoskeleton-equipment-mk-3",
  icon = "__increments__/graphics/technology/exoskeleton.png",
  prerequisites = {"exoskeleton-equipment-mk-2"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "exoskeleton-equipment-mk-3"
    }
  },
  unit =
  {
    count = 50,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
	},
    time = 35
  },
  order = "g-h",
},

{
  type = "technology",
  name = "exoskeleton-equipment-mk-4",
  icon = "__increments__/graphics/technology/exoskeleton.png",
  prerequisites = {"exoskeleton-equipment-mk-3"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "exoskeleton-equipment-mk-4"
    }
  },
  unit =
  {
    count = 75,
    ingredients = 
	{
	  {"science-pack-1", 2}, 
	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
	},
    time = 40
  },
  order = "g-h",
},

{
  type = "technology",
  name = "exoskeleton-equipment-mk-5",
  icon = "__increments__/graphics/technology/exoskeleton.png",
  prerequisites = {"exoskeleton-equipment-mk-4"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "exoskeleton-equipment-mk-5"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
	},
    time = 45
  },
  order = "g-h",
},

{
  type = "technology",
  name = "exoskeleton-equipment-mk-6",
  icon = "__increments__/graphics/technology/exoskeleton.png",
  prerequisites = {"exoskeleton-equipment-mk-5"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "exoskeleton-equipment-mk-6"
    }
  },
  unit =
  {
    count = 130,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 2},
	  {"science-pack-3", 2}
	},
    time = 39
  },
  order = "g-h",
},

{
  type = "technology",
  name = "exoskeleton-equipment-mk-7",
  icon = "__increments__/graphics/technology/exoskeleton.png",
  prerequisites = {"exoskeleton-equipment-mk-6"},
  upgrade = true,
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "exoskeleton-equipment-mk-7"
    }
  },
  unit =
  {
    count = 100,
    ingredients = 
	{
	  {"science-pack-1", 4},
	  {"science-pack-2", 4},
	  {"science-pack-3", 4}
	},
    time = 55
  },
  order = "g-h",
},

--Advanced Armor Item

{
  type = "armor",
  name = "advanced-body-armor-mk-1",
  icon = "__increments__/graphics/equipment/advanced-body-armor-mk-1.png",
  flags = {"goes-to-main-inventory"},
  resistances = 
  {
    {
      type = "physical",
      decrease = 10,
      percent = 47
    },
    {
      type = "acid",
      decrease = 10,
      percent = 47
    },
    {
      type = "explosion",
      decrease = 20,
      percent = 28
    }
  },
  durability = 22500,
  group = "combat", subgroup = "exoskeleton",
  order = "p-a-mk-4",
  stack_size = 1,
  equipment_grid = {width = 12, height = 12}
},

{
  type = "armor",
  name = "advanced-body-armor-mk-2",
  icon = "__increments__/graphics/equipment/advanced-body-armor-mk-2.png",
  flags = {"goes-to-main-inventory"},
  resistances = 
  {
    {
      type = "physical",
      decrease = 10,
      percent = 65
    },
    {
      type = "acid",
      decrease = 10,
      percent = 65
    },
    {
      type = "explosion",
      decrease = 20,
      percent = 80
    }
  },
  durability = 35000,
  group = "combat", subgroup = "exoskeleton",
  order = "p-a-mk-5",
  stack_size = 1,
  equipment_grid = {width = 20, height = 20}
},

-- Advanced Armor Recipe

{
  type = "recipe",
  name = "advanced-body-armor-mk-1",
  enabled = "false",
  energy_required = 50,
  ingredients = 
  {
    {"effectivity-module-3", 25},
	{"power-armor-mk2", 1},
	{"speed-module-3", 25},
	{"steel-plate", 100},
	{"alien-artifact", 100}
  },
  result = "advanced-body-armor-mk-1"
},

{
  type = "recipe",
  name = "advanced-body-armor-mk-2",
  enabled = "false",
  energy_required = 50,
  ingredients = 
  {
	{"effectivity-module-3", 50},
	{"advanced-body-armor-mk-1", 1},
	{"speed-module-3", 50},
	{"steel-plate", 100},
	{"alien-artifact", 250}
  },
  result = "advanced-body-armor-mk-2"
},

-- Advanced Armor Technology

{
  type = "technology",
  name = "advanced-body-armor-mk-1",
  icon = "__increments__/graphics/technology/advanced-armor.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "advanced-body-armor-mk-1"
    }
  },
  prerequisites = {"power-armor-2"},
  upgrade = true,
  unit =
  {
    count = 150,
    ingredients = 
	{
	  {"science-pack-1", 2},
	  {"science-pack-2", 2},
	  {"science-pack-3", 2},
	  {"alien-science-pack", 5}
	},
    time = 30
  },
  order = "g-c-b",
},

{
  type = "technology",
  name = "advanced-body-armor-mk-2",
  icon = "__increments__/graphics/technology/advanced-armor.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "advanced-body-armor-mk-2"
    }
  },
  prerequisites = {"advanced-body-armor-mk-1"},
  upgrade = true,
  unit =
  {
    count = 150,
    ingredients = 
	{
	  {"science-pack-1", 4},
	  {"science-pack-2", 4},
	  {"science-pack-3", 4},
	  {"alien-science-pack", 10}
	},
    time = 30
  },
  order = "g-c-b",
}

})