data:extend(
{

-- Entity
{
  type = "container",
  name = "wooden-chest-medium",
  icon = "__increments__/graphics/icons/wooden-chest-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "wooden-chest-medium"},
  max_health = 50,
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group =  "container-medium",
  inventory_size = 40,
  open_sound = { filename = "__base__/sound/wooden-chest-open.ogg" },
  close_sound = { filename = "__base__/sound/wooden-chest-close.ogg" },
  picture =
  {
    filename = "__increments__/graphics/chest/wooden-chest-medium.png",
    priority = "extra-high",
    width = 92,
    height = 66,
    shift = {0.4, 0}
  }
},

{
  type = "container",
  name = "iron-chest-medium",
  icon = "__increments__/graphics/icons/iron-chest-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "iron-chest-medium"},
  max_health = 100,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group = "container-medium",
  inventory_size = 80,
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/iron-chest-medium.png",
    priority = "extra-high",
    width = 96,
    height = 68,
    shift = {0.4, 0}
  }
},

{
  type = "container",
  name = "steel-chest-medium",
  icon = "__increments__/graphics/icons/steel-chest-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "steel-chest-medium"},
  max_health = 200,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group = "container-medium",
  inventory_size = 120,
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/steel-chest-medium.png",
    priority = "extra-high",
    width = 96,
    height = 68,
    shift = {0.4, 0}
  }
},

{
  type = "container",
  name = "wooden-chest-big",
  icon = "__increments__/graphics/icons/wooden-chest-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "wooden-chest-big"},
  max_health = 50,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group =  "container-big",
  inventory_size = 80,
  open_sound = { filename = "__base__/sound/wooden-chest-open.ogg" },
  close_sound = { filename = "__base__/sound/wooden-chest-close.ogg" },
  picture =
  {
    filename = "__increments__/graphics/chest/wooden-chest-big.png",
    priority = "extra-high",
    width = 138,
    height = 99,
    shift = {0.8, 0}
  }
},

{
  type = "container",
  name = "iron-chest-big",
  icon = "__increments__/graphics/icons/iron-chest-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "iron-chest-big"},
  max_health = 100,
  corpse = "big-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group = "container-big",
  inventory_size = 160,
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/iron-chest-big.png",
    priority = "extra-high",
    width = 144,
    height = 102,
    shift = {0.8, 0}
  }
},

{
  type = "container",
  name = "steel-chest-big",
  icon = "__increments__/graphics/icons/steel-chest-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "steel-chest-big"},
  max_health = 200,
  corpse = "big-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group = "container-big",
  inventory_size = 240,
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/steel-chest-big.png",
    priority = "extra-high",
    width = 144,
    height = 102,
    shift = {0.8, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-requester-medium",
  icon = "__increments__/graphics/icons/logistic-chest-requester-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-requester-medium"},
  max_health = 200,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group =  "container-medium",
  inventory_size = 120,
  logistic_mode = "requester",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-requester-medium.png",
    priority = "extra-high",
    width = 78,
    height = 64,
    shift = {0.2, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-storage-medium",
  icon = "__increments__/graphics/icons/logistic-chest-storage-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-storage-medium"},
  max_health = 200,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group = "container-medium",
  inventory_size = 120,
  logistic_mode = "storage",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-storage-medium.png",
    priority = "extra-high",
    width = 76,
    height = 64,
    shift = {0.2, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-active-provider-medium",
  icon = "__increments__/graphics/icons/logistic-chest-active-provider-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-active-provider-medium"},
  max_health = 200,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group = "container-medium",
  inventory_size = 120,
  logistic_mode = "active-provider",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-active-provider-medium.png",
    priority = "extra-high",
    width = 78,
    height = 64,
    shift = {0.2, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-passive-provider-medium",
  icon = "__increments__/graphics/icons/logistic-chest-passive-provider-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-passive-provider-medium"},
  max_health = 200,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group = "container-medium",
  inventory_size = 120,
  logistic_mode = "passive-provider",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-passive-provider-medium.png",
    priority = "extra-high",
    width = 78,
    height = 66,
    shift = {0.2, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-requester-big",
  icon = "__increments__/graphics/icons/logistic-chest-requester-m.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-requester-big"},
  max_health = 200,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group =  "container-big",
  inventory_size = 240,
  logistic_mode = "requester",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-requester-big.png",
    priority = "extra-high",
    width = 117,
    height = 96,
    shift = {0.3, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-storage-big",
  icon = "__increments__/graphics/icons/logistic-chest-storage-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-storage-big"},
  max_health = 200,
  corpse = "big-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 80
    }
  },
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group = "container-big",
  inventory_size = 240,
  logistic_mode = "storage",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-storage-big.png",
    priority = "extra-high",
    width = 114,
    height = 96,
    shift = {0.3, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-active-provider-big",
  icon = "__increments__/graphics/icons/steel-chest-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-active-provider-big"},
  max_health = 200,
  corpse = "big-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group = "container-big",
  inventory_size = 240,
  logistic_mode = "active-provider",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-active-provider-big.png",
    priority = "extra-high",
    width = 117,
    height = 96,
    shift = {0.3, 0}
  }
},

{
  type = "logistic-container",
  name = "logistic-chest-passive-provider-big",
  icon = "__increments__/graphics/icons/logistic-chest-passive-provider-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "logistic-chest-passive-provider-big"},
  max_health = 200,
  corpse = "big-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group = "container-big",
  inventory_size = 240,
  logistic_mode = "passive-provider",
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/logistic-chest-passive-provider-big.png",
    priority = "extra-high",
    width = 116,
    height = 99,
    shift = {0.3, 0}
  }
},

{
  type = "smart-container",
  name = "smart-chest-medium",
  icon = "__increments__/graphics/icons/smart-chest-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "smart-chest-medium"},
  max_health = 200,
  corpse = "medium-remnants",
  resistances = 
  {
    {
      type = "fire",
      percent = 90
    }
  },
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1.0, -1.0}, {1.0, 1.0}},
  fast_replaceable_group = "container-medium",
  inventory_size = 120,
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/smart-chest-medium.png",
    priority = "extra-high",
    width = 124,
    height = 82,
    shift = {0.9, 0}
  }
},

{
  type = "smart-container",
  name = "smart-chest-big",
  icon = "__increments__/graphics/icons/smart-chest-l.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {mining_time = 1, result = "smart-chest-big"},
  max_health = 200,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  fast_replaceable_group =  "container-big",
  inventory_size = 240,
  open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
  close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
  picture =
  {
    filename = "__increments__/graphics/chest/smart-chest-big.png",
    priority = "extra-high",
    priority = "extra-high",
    width = 186,
    height = 123,
    shift = {1.3, 0}
  }
},

-- Item

{
  type = "item",
  name = "wooden-chest-medium",
  icon = "__increments__/graphics/icons/wooden-chest-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "c-m-1",
  place_result = "wooden-chest-medium",
  stack_size = 250
},

{
  type = "item",
  name = "iron-chest-medium",
  icon = "__increments__/graphics/icons/iron-chest-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "c-m-2",
  place_result = "iron-chest-medium",
  stack_size = 250
},

{
  type = "item",
  name = "steel-chest-medium",
  icon = "__increments__/graphics/icons/steel-chest-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "c-m-3",
  place_result = "steel-chest-medium",
  stack_size = 250
},

{
  type = "item",
  name = "wooden-chest-big",
  icon = "__increments__/graphics/icons/wooden-chest-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "c-ml-1",
  place_result = "wooden-chest-big",
  stack_size = 250
},

{
  type = "item",
  name = "iron-chest-big",
  icon = "__increments__/graphics/icons/iron-chest-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "c-ml-2",
  place_result = "iron-chest-big",
  stack_size = 250
},

{
  type = "item",
  name = "steel-chest-big",
  icon = "__increments__/graphics/icons/steel-chest-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "c-ml-3",
  place_result = "steel-chest-big",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-requester-medium",
  icon = "__increments__/graphics/icons/logistic-chest-requester-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-m",
  place_result = "logistic-chest-requester-medium",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-storage-medium",
  icon = "__increments__/graphics/icons/logistic-chest-storage-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-m",
  place_result = "logistic-chest-storage-medium",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-active-provider-medium",
  icon = "__increments__/graphics/icons/logistic-chest-active-provider-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-m",
  place_result = "logistic-chest-active-provider-medium",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-passive-provider-medium",
  icon = "__increments__/graphics/icons/logistic-chest-passive-provider-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-m",
  place_result = "logistic-chest-passive-provider-medium",
  stack_size = 250
},

{
  type = "item",
  name = "smart-chest-medium",
  icon = "__increments__/graphics/icons/smart-chest-m.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "s-c-m",
  place_result = "smart-chest-medium",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-requester-big",
  icon = "__increments__/graphics/icons/logistic-chest-requester-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-mb",
  place_result = "logistic-chest-requester-big",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-storage-big",
  icon = "__increments__/graphics/icons/logistic-chest-storage-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-mb",
  place_result = "logistic-chest-storage-big",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-active-provider-big",
  icon = "__increments__/graphics/icons/logistic-chest-active-provider-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-mb",
  place_result = "logistic-chest-active-provider-big",
  stack_size = 250
},

{
  type = "item",
  name = "logistic-chest-passive-provider-big",
  icon = "__increments__/graphics/icons/logistic-chest-passive-provider-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "l-c-mb",
  place_result = "logistic-chest-passive-provider-big",
  stack_size = 250
},

{
  type = "item",
  name = "smart-chest-big",
  icon = "__increments__/graphics/icons/smart-chest-l.png",
  flags = {"goes-to-quickbar"},
  subgroup = "storage",
  order = "s-c-mb",
  place_result = "smart-chest-big",
  stack_size = 250
},

-- Recipe

{
  type = "recipe",
  name = "wooden-chest-medium",
  enabled = false,
  ingredients = 
  {
	{"wood", 16}
  },
  result = "wooden-chest-medium"
},
  
{
  type = "recipe",
  name = "iron-chest-medium",
  enabled = false,
  ingredients = 
  {
	{"iron-plate", 32}
  },
  result = "iron-chest-medium"
},

{
  type = "recipe",
  name = "steel-chest-medium",
  enabled = false,
  ingredients = 
  {
	{"steel-plate", 32}
  },
  result = "steel-chest-medium"
},

{
  type = "recipe",
  name = "wooden-chest-big",
  enabled = false,
  ingredients = 
  {
	{"wood", 36}
  },
  result = "wooden-chest-big"
},

{
  type = "recipe",
  name = "iron-chest-big",
  enabled = false,
  ingredients = 
  {
	{"iron-plate", 72}
  },
  result = "iron-chest-big"
},

{
  type = "recipe",
  name = "steel-chest-big",
  enabled = false,
  ingredients = 
  {
	{"steel-plate", 72}
  },
  result = "steel-chest-big"
},

{
  type = "recipe",
  name = "smart-chest-medium",
  enabled = false,
  ingredients = 
  {
	{"steel-chest-medium", 1},
	{"advanced-circuit", 5},
  },
  result = "smart-chest-medium"
},

{
  type = "recipe",
  name = "smart-chest-big",
  enabled = false,
  ingredients = 
  {
	{"steel-chest-big", 1},
	{"processing-unit", 5},
  },
  result = "smart-chest-big"
},

{
  type = "recipe",
  name = "logistic-chest-requester-medium",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-medium", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-requester-medium"
},

{
  type = "recipe",
  name = "logistic-chest-storage-medium",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-medium", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-storage-medium"
},

{
  type = "recipe",
  name = "logistic-chest-active-provider-medium",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-medium", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-active-provider-medium"
},

{
  type = "recipe",
  name = "logistic-chest-passive-provider-medium",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-medium", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-passive-provider-medium"
},

{
  type = "recipe",
  name = "logistic-chest-requester-big",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-big", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-requester-big"
},

{
  type = "recipe",
  name = "logistic-chest-storage-big",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-big", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-storage-big"
},

{
  type = "recipe",
  name = "logistic-chest-active-provider-big",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-big", 1},
	{"processing-unit", 5},
  },
  result = "logistic-chest-active-provider-big"
},

{
  type = "recipe",
  name = "logistic-chest-passive-provider-big",
  enabled = false,
  ingredients = 
  {
	{"smart-chest-big", 1},
    {"processing-unit", 5},
  },
  result = "logistic-chest-passive-provider-big"
},

-- Technology


{
  type = "technology",
  name = "chest-1",
  icon = "__increments__/graphics/technology/chest.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "wooden-chest-medium"
    },
	{
      type = "unlock-recipe",
      recipe = "iron-chest-medium"
    },
	{
      type = "unlock-recipe",
      recipe = "steel-chest-medium"
    },
	{
      type = "unlock-recipe",
      recipe = "smart-chest-medium"
    },
  },
  prerequisites = {"steel-processing"},
  unit =
  {
    count = 50,
    ingredients =
    {
      {"science-pack-1", 1},
      {"science-pack-2", 1},
    },
    time = 30
  },
  order = "c-1",
},

{
  type = "technology",
  name = "chest-2",
  icon = "__increments__/graphics/technology/chest.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "wooden-chest-big"
    },
	{
      type = "unlock-recipe",
      recipe = "iron-chest-big"
    },
	{
      type = "unlock-recipe",
      recipe = "steel-chest-big"
    },
	{
      type = "unlock-recipe",
      recipe = "smart-chest-big"
    },
  },
  prerequisites = {"chest-1"},
  unit =
  {
    count = 150,
    ingredients =
    {
      {"science-pack-1", 1},
      {"science-pack-2", 1},
      {"science-pack-3", 1},
    },
    time = 45
  },
  order = "c-2",
  upgrade = true,
},

{
  type = "technology",
  name = "chest-3",
  icon = "__increments__/graphics/technology/chest.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-requester-medium"
    },
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-storage-medium"
    },
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-active-provider-medium"
    },
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-passive-provider-medium"
    },
  },
  prerequisites = {"chest-2", "construction-robotics", "logistic-system"},
  unit =
  {
    count = 250,
    ingredients =
    {
      {"science-pack-1", 1},
	  {"science-pack-2", 1},
      {"science-pack-3", 1},
    },
    time = 45
  },
  order = "c-3",
  upgrade = true,
},

{
  type = "technology",
  name = "chest-4",
  icon = "__increments__/graphics/technology/chest.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-requester-big"
    },
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-storage-big"
    },
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-active-provider-big"
    },
    {
      type = "unlock-recipe",
      recipe = "logistic-chest-passive-provider-big"
    },
  },
  prerequisites = {"chest-3"},
  unit =
  {
    count = 300,
    ingredients =
    {
      {"science-pack-1", 3},
      {"science-pack-2", 3},
      {"science-pack-3", 2},
	  {"alien-science-pack", 1},
    },
    time = 60
  },
  order = "c-4",
  upgrade = true,
}
  
})