data:extend({
--ENTITY
{
  type = "solar-panel",
  name = "solar-panel-2",
  icon = "__increments__/graphics/icons/solar-panel-2.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-2"},
  max_health = 125,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/solar-panel-2.png",
    priority = "high",
    width = 104,
    height = 96
  },
  fast_replaceable_group = "solar-panel",
  production = "300kW"
},

{
  type = "solar-panel",
  name = "solar-panel-3",
  icon = "__increments__/graphics/icons/solar-panel-3.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-3"},
  max_health = 125,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/solar-panel-3.png",
    priority = "high",
    width = 104,
    height = 96
  },
  fast_replaceable_group = "solar-panel",
  production = "3000kW"
},

{
  type = "solar-panel",
  name = "solar-panel-4",
  icon = "__increments__/graphics/icons/solar-panel-4.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-4"},
  max_health = 125,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/solar-panel-4.png",
    priority = "high",
    width = 104,
    height = 96
  },
  fast_replaceable_group = "solar-panel",
  production = "30000kW"
},

{
  type = "solar-panel",
  name = "solar-panel-5",
  icon = "__increments__/graphics/icons/solar-panel-5.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-5"},
  max_health = 125,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/solar-panel-5.png",
    priority = "high",
    width = 104,
    height = 96
  },
  fast_replaceable_group = "solar-panel",
  production = "300000kW"
},

{
  type = "solar-panel",
  name = "solar-panel-6",
  icon = "__increments__/graphics/icons/solar-panel-6.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-6"},
  max_health = 125,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/solar-panel-6.png",
    priority = "high",
    width = 104,
    height = 96
  },
  fast_replaceable_group = "solar-panel",
  production = "3000000kW"
},

{
  type = "solar-panel",
  name = "solar-panel-7",
  icon = "__increments__/graphics/icons/solar-panel-7.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "solar-panel-7"},
  max_health = 125,
  corpse = "big-remnants",
  collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
  selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
  energy_source =
  {
    type = "electric",
    usage_priority = "primary-output"
  },
  picture =
  {
    filename = "__increments__/graphics/entity/solar-panel-7.png",
    priority = "high",
    width = 104,
    height = 96
  },
  fast_replaceable_group = "solar-panel",
  production = "30000000kW"
},
  
--ITEM
{
  type = "item",
  name = "solar-panel-2",
  icon = "__increments__/graphics/icons/solar-panel-2.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "d[solar-panel]-b[solar-panel-2]",
  place_result = "solar-panel-2",
  stack_size = 50
},
{
  type = "item",
  name = "solar-panel-3",
  icon = "__increments__/graphics/icons/solar-panel-3.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "d[solar-panel]-b[solar-panel-3]",
  place_result = "solar-panel-3",
  stack_size = 50
},
{
  type = "item",
  name = "solar-panel-4",
  icon = "__increments__/graphics/icons/solar-panel-4.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "d[solar-panel]-b[solar-panel-4]",
  place_result = "solar-panel-4",
  stack_size = 50
},
{
  type = "item",
  name = "solar-panel-5",
  icon = "__increments__/graphics/icons/solar-panel-5.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "d[solar-panel]-b[solar-panel-5]",
  place_result = "solar-panel-5",
  stack_size = 50
},
{
  type = "item",
  name = "solar-panel-6",
  icon = "__increments__/graphics/icons/solar-panel-6.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "d[solar-panel]-b[solar-panel-6]",
  place_result = "solar-panel-6",
  stack_size = 50
},
{
  type = "item",
  name = "solar-panel-7",
  icon = "__increments__/graphics/icons/solar-panel-7.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "d[solar-panel]-b[solar-panel-7]",
  place_result = "solar-panel-7",
  stack_size = 50
},
   
--RECIPE   
{
  type = "recipe",
  name = "solar-panel-2",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"solar-panel", 10},
	{"electronic-circuit", 10},
    {"advanced-circuit", 10},
    {"steel-plate", 10}
  },
  result = "solar-panel-2"
},
{
  type = "recipe",
  name = "solar-panel-3",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"solar-panel-2", 10},
	{"electronic-circuit", 10},
    {"advanced-circuit", 10},
    {"steel-plate", 10}
  },
  result = "solar-panel-3"
},
{
  type = "recipe",
  name = "solar-panel-4",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"solar-panel-3", 10},
	{"bundled-wire", 10},
    {"advanced-circuit", 10},
    {"processing-unit", 5},
    {"steel-plate", 10}
  },
  result = "solar-panel-4"
},
{
  type = "recipe",
  name = "solar-panel-5",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"solar-panel-4", 10},
	{"bundled-wire", 15},
    {"advanced-circuit", 15},
    {"processing-unit", 10},
    {"steel-plate", 15}
  },
  result = "solar-panel-5"
},
{
  type = "recipe",
  name = "solar-panel-6",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"solar-panel-5", 10},
	{"bundled-wire", 20},
	{"advanced-circuit", 20},
    {"processing-unit", 20},
    {"steel-plate", 20}
  },
  result = "solar-panel-6"
},
{
  type = "recipe",
  name = "solar-panel-7",
  energy_required = 10,
  enabled = "false",
  ingredients =
  {
    {"solar-panel-6", 25},
	{"bundled-wire", 25},
	{"advanced-circuit", 25},
    {"processing-unit", 50},
    {"steel-plate", 25}
  },
  result = "solar-panel-7"
},
  
--TECHNOLOGY
{
  type = "technology",
  name = "solar-energy-2",
  icon = "__base__/graphics/technology/solar-energy.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "solar-panel-2"
    }
  },
  prerequisites = {"solar-energy", "steel-processing-2"},
  upgrade = true,
  unit =
  {
    count = 100,
    ingredients =
    {
      {"science-pack-1", 3},
	  {"science-pack-2", 2},
	  {"science-pack-3", 1}
    },
    time = 45
  },
  order = "a-i-c",
},
{
  type = "technology",
  name = "solar-energy-3",
  icon = "__base__/graphics/technology/solar-energy.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "solar-panel-3"
    }
  },
  prerequisites = {"solar-energy-2"},
  upgrade = true,
  unit =
  {
    count = 200,
    ingredients =
    {
      {"science-pack-1", 3},
	  {"science-pack-2", 2},
	  {"science-pack-3", 1},
	  {"alien-science-pack", 1}
    },
    time = 60
  },
  order = "a-i-c",
},
{
  type = "technology",
  name = "solar-energy-4",
  icon = "__base__/graphics/technology/solar-energy.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "solar-panel-4"
    }
  },
  prerequisites = {"solar-energy-3"},
  upgrade = true,
  unit =
  {
    count = 250,
    ingredients =
    {
      {"science-pack-1", 3},
	  {"science-pack-2", 2},
	  {"science-pack-3", 1},
	  {"alien-science-pack", 1}
    },
    time = 60
  },
  order = "a-i-c",
},
{
  type = "technology",
  name = "solar-energy-5",
  icon = "__base__/graphics/technology/solar-energy.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "solar-panel-5"
    }
  },
  prerequisites = {"solar-energy-4"},
  upgrade = true,
  unit =
  {
    count = 300,
    ingredients =
    {
      {"science-pack-1", 3},
	  {"science-pack-2", 2},
	  {"science-pack-3", 1},
	  {"alien-science-pack", 1}
    },
    time = 60
  },
  order = "a-i-c",
},
{
  type = "technology",
  name = "solar-energy-6",
  icon = "__base__/graphics/technology/solar-energy.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "solar-panel-6"
    }
  },
  prerequisites = {"solar-energy-5"},
  upgrade = true,
  unit =
  {
    count = 400,
    ingredients =
    {
      {"science-pack-1", 3},
	  {"science-pack-2", 2},
	  {"science-pack-3", 1},
	  {"alien-science-pack", 1}
    },
    time = 60
  },
  order = "a-i-c",
},
{
  type = "technology",
  name = "solar-energy-7",
  icon = "__base__/graphics/technology/solar-energy.png",
  effects =
  {
    {
      type = "unlock-recipe",
      recipe = "solar-panel-7"
    }
  },
  prerequisites = {"solar-energy-6"},
  upgrade = true,
  unit =
  {
    count = 500,
    ingredients =
    {
      {"science-pack-1", 4},
	  {"science-pack-2", 3},
	  {"science-pack-3", 2},
	  {"alien-science-pack", 2}
    },
    time = 60
  },
  order = "a-i-c",
}
 
})